<?php
require_once  dirname(__FILE__).'/autoresponder/constant_contact/src/Ctct/autoload.php';
use Ctct\Components\Contacts\Contact;
use Ctct\ConstantContact;
use Ctct\Exceptions\CtctException;

//add_action('init', 'wpsuite_init');
$user_id = '';
$user_id   = get_current_user_id();
//echo $user_id;
$user_meta = get_user_meta( $user_id, get_id(), true );
//echo $user_meta;
//exit;
add_action("wp_ajax_wpsuite_aweber_form", 'wpsuite_aweber_form_process');
add_action("wp_ajax_nopriv_wpsuite_aweber_form", 'wpsuite_aweber_form_process');

add_action("wp_ajax_wpsuite_subscribe_email", 'wpsuite_subscribe_email_process');
add_action("wp_ajax_nopriv_wpsuite_subscribe_email", 'wpsuite_subscribe_email_process');


add_action("wp_ajax_wpsuite_select_template_form", 'wpsuite_select_template_form_process');
add_action("wp_ajax_nopriv_wpsuite_select_template_form", 'wpsuite_select_template_form_process');

add_action("wp_ajax_wpsuite_gdpr_cookie_consent_give", 'wpsuite_gdpr_cookie_consent_give_process');
add_action("wp_ajax_nopriv_wpsuite_gdpr_cookie_consent_give", 'wpsuite_gdpr_cookie_consent_give_process');

/** Consent COntact Form 7 */
add_filter('wpcf7_form_elements', 'gdprsuite_form_elements_filter');

/** Consent on checkout for woocommerce */
add_action('woocommerce_review_order_before_submit', 'gdprsuite_woocommerce_add_checkout_consent_additional_field', 9);
add_action('woocommerce_checkout_process', 'gdprsuite_woocommerce_not_approved_privacy');
add_action('woocommerce_checkout_update_user_meta', 'gdprsuite_woocommerce_checkout_update_user_meta');

/** Consent WordPress Comment */
add_filter('comment_form_default_fields', 'gdprsuite_add_custom_wp_comment_consent_fields');
add_filter('preprocess_comment', 'gdprsuite_verify_consent_fields');
add_action('comment_post', 'gdprsuite_insert_into_commentmeta');
add_filter('comment_form_fields', 'gdprsuite_add_custom_wp_comment_consent_fields');

//////////////////////////////////////////////////////////GET IP ADDRESS/////////////////////////////

function gdprsuite_getip() {
	$ipaddress = '';
	if (getenv('HTTP_CLIENT_IP'))
		$ipaddress = getenv('HTTP_CLIENT_IP');
	else if (getenv('HTTP_X_FORWARDED_FOR'))
		$ipaddress = getenv('HTTP_X_FORWARDED_FOR');
	else if (getenv('HTTP_X_FORWARDED'))
		$ipaddress = getenv('HTTP_X_FORWARDED');
	else if (getenv('HTTP_FORWARDED_FOR'))
		$ipaddress = getenv('HTTP_FORWARDED_FOR');
	else if (getenv('HTTP_FORWARDED'))
		$ipaddress = getenv('HTTP_FORWARDED');
	else if (getenv('REMOTE_ADDR'))
		$ipaddress = getenv('REMOTE_ADDR');
	else
		$ipaddress = 'UNKNOWN';

	return $ipaddress;
}
////////////////////////////////////////////////////////////////////////////////////////////////////////
/**
 * GDPR consent checkbox being added to Default WordPress Comment Field
 */
function gdprsuite_add_custom_wp_comment_consent_fields($fields) {
	$gdprsuite_consent_settings = get_option('gdprsuite_wcomments_enable');
	if ( $gdprsuite_consent_settings == "yes") {
		$gdprsuite_wcomments_checkbox_label = get_option('gdprsuite_wcomments_checkbox_label');
		$gdprsuite_wcomments_privacy_policy_link_text = get_option('gdprsuite_wcomments_privacy_policy_link_text');
		$gdprsuite_wcomments_privacy_policy_url = get_option('gdprsuite_wcomments_privacy_policy_url');
		$additional_entries_text = isset($gdprsuite_wcomments_checkbox_label) && !empty($gdprsuite_wcomments_checkbox_label) ? esc_attr($gdprsuite_wcomments_checkbox_label) : __("I am okay with storage of my data and accept #PrivacyPolicy", TGDPRC_DOMAIN);
		$privacy_policy_link_label = (isset($gdprsuite_wcomments_privacy_policy_link_text) && !empty($gdprsuite_wcomments_privacy_policy_link_text)) ? esc_attr($gdprsuite_wcomments_privacy_policy_link_text) : __("Privacy Policy", TGDPRC_DOMAIN);
		$orginalstr = array("#PrivacyPolicy");
		$policy_url = isset($gdprsuite_wcomments_privacy_policy_url) && !empty($gdprsuite_wcomments_privacy_policy_url) ? '<a href="' . esc_url($gdprsuite_wcomments_privacy_policy_url) . '" target="_blank">' . $privacy_policy_link_label . '</a>' : $privacy_policy_link_label;
		$replacestr = array($policy_url);
		$final_additional_entries_text = str_replace($orginalstr, $replacestr, $additional_entries_text);
		$fields['policy'] = '<p class="comment-form-policy">' .
		                    '<label for="policy" style="display:block !important">
                <input id="policy" name="policy" value="accepted" class="comment-form-policy__input" type="checkbox" style="width:auto; margin-right:7px;" aria-required="true" required>' . $final_additional_entries_text . '
                <span class = "comment-form-policy__required required">*</span>
                </label>
                </p>';
	}

	return $fields;
}

function gdprsuite_verify_consent_fields($policydata) {
	$gdprsuite_consent_settings = get_option('gdprsuite_wcomments_enable');
	if ($gdprsuite_consent_settings == "yes") {
		$consent_required_text = 'please accept our consent checkbox to continue';
		if (!isset($_POST['policy']) && !is_user_logged_in())
			wp_die('<strong>' . __('ERROR: ') . '</strong>' . $consent_required_text . '<p><a href = "javascript:history.back()" > ' . __(' & laquo;
                Back') . '</a></p>');
	}
	return $policydata;
}
/**
 * Add comment meta for each comment with checkbox approved
 *
 */
function gdprsuite_insert_into_commentmeta($comment_id) {
	$gdprsuite_consent_settings = get_option('gdprsuite_wcomments_enable');
	if ($gdprsuite_consent_settings == "yes") {
		add_comment_meta($comment_id, 'gdprsuite_wp_comment_consent_accept', isset($_POST['gdprsuite_wp_comment_consent_accept']) ? esc_attr($_POST['gdprsuite_wp_comment_consent_accept']) : '', true);
	}
}

//////////////////////////////////////////////////////
/// ///////////Contact Form 7////////////////////////
function gdprsuite_form_elements_filter($original_fields) {
	$gdprsuite_consent_settings = get_option('gdprsuite_cf7_enable');
	if (isset($gdprsuite_consent_settings) && $gdprsuite_consent_settings == "yes") {
		$additional_entries = gdprsuite_pull_wp_comment_consent_fields();
		return $original_fields . $additional_entries;
	} else {
		return $original_fields;
	}
}
function gdprsuite_pull_wp_comment_consent_fields() {
    $gdprsuite_cf7_checkbox_label = get_option('gdprsuite_cf7_checkbox_label');
	$gdprsuite_cf7_privacy_policy_link_text = get_option('gdprsuite_cf7_privacy_policy_link_text');
	$gdprsuite_cf7_privacy_policy_url = get_option('gdprsuite_cf7_privacy_policy_url');
	$additional_entries_text = isset($gdprsuite_cf7_checkbox_label) && !empty($gdprsuite_cf7_checkbox_label) ? esc_attr($gdprsuite_cf7_checkbox_label) : __("I am okay with storage of my data and accept #PrivacyPolicy", TGDPRC_DOMAIN);
	$privacy_policy_link_label = (isset($gdprsuite_cf7_privacy_policy_link_text) && !empty($gdprsuite_cf7_privacy_policy_link_text)) ? esc_attr($gdprsuite_cf7_privacy_policy_link_text) : __("Privacy Policy", TGDPRC_DOMAIN);
	$orginalstr = array("#PrivacyPolicy");
	$policy_url = isset($gdprsuite_cf7_privacy_policy_url) && !empty($gdprsuite_cf7_privacy_policy_url) ? '<a href="' . esc_url($gdprsuite_cf7_privacy_policy_url) . '" target="_blank">' . $privacy_policy_link_label . '</a>' : $privacy_policy_link_label;
	$replacestr = array($policy_url);
	$final_additional_entries_text = str_replace($orginalstr, $replacestr, $additional_entries_text);

	/*
	 * Appended Consent Content into Contact Form 7 Form
	 */
	$additional_entries = '';
	$additional_entries .= '<p><span class="wpcf7-form-control-wrap accept-this">';
	$additional_entries .= '<span class="wpcf7-form-control wpcf7-checkbox wpcf7-validates-as-required wpcf7-exclusive-checkbox wpcf7-acceptance">';
	$additional_entries .= '<span class="wpcf7-list-item first last"><label>';
	$additional_entries .= '<input class="tgdprc-gdpr-consent-check" type="checkbox" name="tgdprc_wp_comment_consent_accept" value="accepted" required/>';
	$additional_entries .= '<span class="wpcf7-list-item-label">';
	$additional_entries .= $final_additional_entries_text;
	//$additional_entries .= ' '.$policy_url;
	$additional_entries .= '</span></label></span></span></span><p>';
	return $additional_entries;
}
/////////////////////////// END CONTACT FORM 7 Integration////////////////////
/// /////////////////////////////////////////////////////////////////////////////
/// /////////////////// Woo Commerce Intigration/////////////////////////////////
//////////////////////////////////////////////////////////////////////////////////

/**
 * Additing consent checkbox in the woocoomerce checkout
 */
function gdprsuite_woocommerce_add_checkout_consent_additional_field() {
	$gdprsuite_consent_settings = get_option('gdprsuite_woocommerce_enable');
	$gdprsuite_woocommerce_checkbox_label = get_option('gdprsuite_woocommerce_checkbox_label');
	$gdprsuite_woocommerce_privacy_policy_link_text = get_option('gdprsuite_woocommerce_privacy_policy_link_text');
	$gdprsuite_woocommerce_privacy_policy_url = get_option('gdprsuite_woocommerce_privacy_policy_url');
	$gdprsuite_woocommerce_required_text = get_option('gdprsuite_woocommerce_required_text');
	$consent_text = isset($gdprsuite_woocommerce_checkbox_label) && !empty($gdprsuite_woocommerce_checkbox_label) ? esc_attr($gdprsuite_woocommerce_checkbox_label) : __('I accept storing of my basic data and #PrivacyPolicy', TGDPRC_DOMAIN);
	$privacy_policy_text = (isset($gdprsuite_woocommerce_privacy_policy_link_text) && !empty($gdprsuite_woocommerce_privacy_policy_link_text)) ? esc_attr($gdprsuite_woocommerce_privacy_policy_link_text) : __("Privacy Policy", TGDPRC_DOMAIN);
	$orginalstr = array("#PrivacyPolicy");
	$privacy_policy_url = isset($gdprsuite_woocommerce_privacy_policy_url) && !empty($gdprsuite_woocommerce_privacy_policy_url) ? ' <a href="' . esc_url($gdprsuite_woocommerce_privacy_policy_url) . '" target="_blank" class="tgdprc-consent-policy-link">' . $gdprsuite_woocommerce_privacy_policy_link_text . '</a>' : $gdprsuite_woocommerce_privacy_policy_link_text;
	$replacestr = array($privacy_policy_url);
	$final_consent_text = str_replace($orginalstr, $replacestr, $consent_text);
	if (isset($gdprsuite_consent_settings) && $gdprsuite_consent_settings == "yes") {
		woocommerce_form_field('gdprsuite_woocommerce_consent_accept', array(
			'type' => 'checkbox',
			'class' => array('woocommerce-form__input woocommerce-form__input-checkbox input-checkbox gdprsuite-woo-concent-accept'),
			'required' => true,
			'label' => $final_consent_text,
		));
	}else{

	}
}

/**
 *  Show notice if customer does not tick
 */
function gdprsuite_woocommerce_not_approved_privacy() {
	$gdprsuite_consent_settings = get_option('gdprsuite_woocommerce_enable');
	$gdprsuite_woocommerce_required_text = get_option('gdprsuite_woocommerce_required_text');

	$consent_required_text = (isset($gdprsuite_woocommerce_required_text) && !empty($gdprsuite_woocommerce_required_text)) ? esc_attr($gdprsuite_woocommerce_required_text) : __("Please accept our consent checkbox to continue.", TGDPRC_DOMAIN);
	if (isset($gdprsuite_consent_settings) && $gdprsuite_consent_settings == "yes") {
		if (!isset($_POST['tgdprc_woocommerce_consent_accept'])) {
			wc_add_notice(__($consent_required_text), 'error');
		}
	}
}

function gdprsuite_woocommerce_checkout_update_user_meta($customer_id, $data) {
	if (isset($_POST['gdprsuite_woocommerce_consent_accept']) && !empty($_POST['gdprsuite_woocommerce_consent_accept'])) {
		update_user_meta($customer_id, 'gdprsuite_woocommerce_consent_accept', 'accepted');
	}
}
///////////////////////////END WOOCOMMERCE//////////////////////////////////////////////////////////////
/// /////////////////////////////////////////////////////////////////////////////////////////////////////

add_filter( 'mailster_form', gdprsuite_mailster, 10, 3);
function gdprsuite_mailster( $html, $form_id, $form ) {
	$gdprsuite_mailster_checkbox_label = get_option('gdprsuite_mailster_checkbox_label');
	$gdprsuite_mailste_privacy_policy_link_text = get_option('gdprsuite_mailster_privacy_policy_link_text');
	$gdprsuite_mailste_privacy_policy_url = get_option('gdprsuite_mailster_privacy_policy_url');

	$consent_text = isset($gdprsuite_mailster_checkbox_label) && !empty($gdprsuite_mailster_checkbox_label) ? esc_attr($gdprsuite_mailster_checkbox_label) : __('I accept storing of my basic data and #PrivacyPolicy', TGDPRC_DOMAIN);
	$privacy_policy_text = (isset($gdprsuite_mailste_privacy_policy_link_text) && !empty($gdprsuite_mailste_privacy_policy_link_text)) ? esc_attr($gdprsuite_mailste_privacy_policy_link_text) : __("Privacy Policy", TGDPRC_DOMAIN);
	$orginalstr = array("#PrivacyPolicy");
	$privacy_policy_url = isset($gdprsuite_mailste_privacy_policy_url) && !empty($gdprsuite_mailste_privacy_policy_url) ? ' <a href="' . esc_url($gdprsuite_mailste_privacy_policy_url) . '" target="_blank" class="gdprsuite-consent-policy-link">' . $privacy_policy_text . '</a>' : $privacy_policy_text;
	$replacestr = array($privacy_policy_url);
	$final_consent_text = str_replace($orginalstr, $replacestr, $consent_text);

	$after = '<input class="" id="yourcheckboxid" type="checkbox" name="yourcheckboxid" value="" required="">'.$final_consent_text.'<script type="text/javascript">
jQuery(function ($) {
    console.log( "ready!" );
     $("input.submit-button.button").attr("disabled", true);
     $("input.submit-button.button").addClass("gdprsuite_disabled");
    $("#yourcheckboxid").click(function() {
        console.log("checkbox pressed");
    var checked_status = this.checked;
    if (checked_status == true) {
       $("input.submit-button.button").removeAttr("disabled");
     $("input.submit-button.button").removeClass("gdprsuite_disabled");
    } else {
       $("input.submit-button.button").attr("disabled", "disabled");
     $("input.submit-button.button").addClass("gdprsuite_disabled");
    }
});
});
</script>';

	return  $html . $after;

}
///////////////////////////////////////////////////////////////
/// mailster end ///////////////////////////////////////
/// //////////////////////////////////////////////////
/// Gravity form start///////////////////////////////

add_filter( 'gform_submit_button', 'add_paragraph_below_submit', 10, 2 );
function add_paragraph_below_submit( $button, $form ) {
    $gdprsuite_gform_checkbox_label = get_option('gdprsuite_gform_checkbox_label');
	$gdprsuite_gform_privacy_policy_link_text = get_option('gdprsuite_gform_privacy_policy_link_text');
	$gdprsuite_gform_privacy_policy_url = get_option('gdprsuite_gform_privacy_policy_url');

	$consent_text = isset($gdprsuite_gform_checkbox_label) && !empty($gdprsuite_gform_checkbox_label) ? esc_attr($gdprsuite_gform_checkbox_label) : __('I accept storing of my basic data and #PrivacyPolicy', TGDPRC_DOMAIN);
	$privacy_policy_text = (isset($gdprsuite_gform_privacy_policy_link_text) && !empty($gdprsuite_gform_privacy_policy_link_text)) ? esc_attr($gdprsuite_gform_privacy_policy_link_text) : __("Privacy Policy", TGDPRC_DOMAIN);
	$orginalstr = array("#PrivacyPolicy");
	$privacy_policy_url = isset($gdprsuite_gform_privacy_policy_url) && !empty($gdprsuite_gform_privacy_policy_url) ? ' <a href="' . esc_url($gdprsuite_gform_privacy_policy_url) . '" target="_blank" class="gdprsuite-consent-policy-link">' . $privacy_policy_text . '</a>' : $privacy_policy_text;
	$replacestr = array($privacy_policy_url);
	$final_consent_text = str_replace($orginalstr, $replacestr, $consent_text);

	$after = '<div style="padding:10px"><input class="" id="yourcheckboxid_gform" type="checkbox" name="yourcheckboxid" value="" required="">'.$final_consent_text.'</div><script type="text/javascript">
jQuery(function ($) {
    console.log( "ready!" );
     $("input.gform_button").attr("disabled", true);
     $("input.gform_button").addClass("gdprsuite_disabled");
     var oldonclick = $("input.gform_button").onclick;
     $("input.gform_button").onclick = undefined;
    $("#yourcheckboxid_gform").click(function() {
        console.log("checkbox pressed");
    var checked_status = this.checked;
    if (checked_status == true) {
       $("input.gform_button").removeAttr("disabled");
     $("input.gform_button").removeClass("gdprsuite_disabled");
      $("input.gform_button").onclick = oldonclick;
    } else {
       $("input.gform_button").attr("disabled", "disabled");
     $("input.gform_button").addClass("gdprsuite_disabled");
          $("input.gform_button").onclick = undefined;

    }
});
});
</script>';

	return  $after . $button;

}
///////////////////////////////////////////////////////////////////////////////
/// ////////////////// FORMAIDABELE/////////////////////////////////////////////


add_action('frm_entries_footer_scripts', 'set_custom_limit', 20, 2);
function set_custom_limit($fields, $form){
    $gdpr_formidable_enable = get_option('gdprsuite_formidable_enable');
    if(isset($gdpr_formidable_enable) && ($gdpr_formidable_enable=="yes")){
	    $gdprsuite_gform_checkbox_label = get_option('gdprsuite_formidable_checkbox_label');
	    $gdprsuite_gform_privacy_policy_link_text = get_option('gdprsuite_formidable_privacy_policy_link_text');
	    $gdprsuite_gform_privacy_policy_url = get_option('gdprsuite_formidable_privacy_policy_url');

	    $consent_text = isset($gdprsuite_gform_checkbox_label) && !empty($gdprsuite_gform_checkbox_label) ? esc_attr($gdprsuite_gform_checkbox_label) : __('I accept storing of my basic data and #PrivacyPolicy', TGDPRC_DOMAIN);
	    $privacy_policy_text = (isset($gdprsuite_gform_privacy_policy_link_text) && !empty($gdprsuite_gform_privacy_policy_link_text)) ? esc_attr($gdprsuite_gform_privacy_policy_link_text) : __("Privacy Policy", TGDPRC_DOMAIN);
	    $orginalstr = array("#PrivacyPolicy");
	    $privacy_policy_url = isset($gdprsuite_gform_privacy_policy_url) && !empty($gdprsuite_gform_privacy_policy_url) ? " <a href='" . esc_url($gdprsuite_gform_privacy_policy_url) . "' target='_blank' class='gdprsuite-consent-policy-link'>" . $privacy_policy_text . "</a>" : $privacy_policy_text;
	    $replacestr = array($privacy_policy_url);
	    $final_consent_text = str_replace($orginalstr, $replacestr, $consent_text);
?>
           jQuery(function ($) {
               $(".frm_fields_container div:last").before("<div style='padding:10px'><input id='yourcheckboxid_formidableform' type='checkbox' name='yourcheckboxid'><?php echo $final_consent_text; ?> </div>" );

        console.log( "frm ready!" );
        $("button.frm_button_submit").attr("disabled", true);
        $("button.frm_button_submit").addClass("gdprsuite_disabled");
        $("#yourcheckboxid_formidableform").click(function() {
        var checked_status = this.checked;
        if (checked_status == true) {
        $("button.frm_button_submit").removeAttr("disabled");
        $("button.frm_button_submit").removeClass("gdprsuite_disabled");
        }else {
        $("button.frm_button_submit").attr("disabled", "disabled");
        $("button.frm_button_submit").addClass("gdprsuite_disabled");
        }
        });

        });
        <?php
    }

}


//Cookie block popup code
//function wpsuite_init() {


	//wpsuite_popup_block_js


	function wpsuite_popup_script_front() {


		$popup_block_all_cookie = get_option('wpsuite_cc_block_selected_user_consents');

		if (!empty($popup_block_all_cookie)) {

			wp_enqueue_script('wpsuite_js_script_block_cookie', GDPRS_PLUGIN_URL.'/assets/js/wpsuite_cookie_block.js', array('jquery'));

		}

			wp_enqueue_script( 'wpsuite_js_script_popup_cookie', GDPRS_PLUGIN_URL.'/assets/js/wpsuite_cookie_popup.js',array('jquery'),false,true);
     		wp_localize_script( 'wpsuite_js_script_popup_cookie', 'wpsuite_popup_object',
            array( 'ajax_url' => admin_url( 'admin-ajax.php' ) ) );

			//wp_enqueue_script('wpsuite_js_script_popup_cookie', GDPRS_PLUGIN_URL.'/assets/js/wpsuite_cookie_popup.js',array( 'jquery' ),false,true);
	}
	add_action( 'wp_enqueue_scripts', 'wpsuite_popup_script_front',1);
//}


function plugin_css_wpsuite()
{

	wp_enqueue_script( 'GDPRS-public-settings-js', plugins_url('/assets/js/wpsuite_front_main.js', __FILE__),array('jquery'));
     wp_localize_script( 'GDPRS-public-settings-js', 'wpsuite_object',
            array( 'ajax_url' => admin_url( 'admin-ajax.php' ) ) );

    wp_enqueue_script( 'GDPRS-templates-js', plugins_url('/assets/js/wpsuite_template.js', __FILE__),array('jquery'));
   // wp_deregister_script( 'jquery-core' );
   // wp_enqueue_script( 'jquery-core', "https://code.jquery.com/jquery-3.1.1.min.js", array(), '3.1.1' );
    //wp_enqueue_script('jquery-core');
   // wp_deregister_script( 'jquery-migrate' );
  //  wp_enqueue_script( 'jquery-migrate', "https://code.jquery.com/jquery-migrate-3.0.0.min.js", array(), '3.0.0' );
    //wp_enqueue_script('jquery-migrate');

  // 	wp_enqueue_script('wpsuite_js_script_gdpr_cc_gg', plugins_url('/assets/js/wpsuite_cookie_block.js',__FILE__));

   //wp_enqueue_script('wpsuite_js_script_gdpr_cc');

    wp_enqueue_style('wpsuite_style',plugins_url('/assets/css/style1.css',__FILE__));

	wp_enqueue_style('wpsuite_style_fs',plugins_url('/assets/css/font-awesome/font-awesome.min.css',__FILE__));
    //wp_enqueue_script('wpsuite_frontend_script_msin', plugins_url('/assets/js/wpsuite_front_main.js',__FILE__), array('jquery'));
	wp_enqueue_style('genericons',plugins_url('/assets/css/genericons.css',__FILE__));
	wp_enqueue_style('wpsuite_fronttempstyle', plugins_url('/assets/css/fronttempstyle.css',__FILE__));


}
add_action( 'wp_enqueue_scripts', 'plugin_css_wpsuite',2);
//add_action( 'wp_enqueue_scripts', 'replace_core_jquery_version' );



function wpsuite_js_script()
{

 //  wp_localize_script('wpvj-general-js', 'wpsuite_object',array('ajax_url' => admin_url( 'admin-ajax.php'),'pluginsUrl' => GDPRS_PLUGIN_URL));
	// wp_enqueue_script('wpvj-general-js');
	// wp_enqueue_script( 'GDPRS-public-settings-js', plugins_url('/assets/js/gdrp_suite_main.js', __FILE__),array('jquery'));
 //    wp_localize_script( 'GDPRS-public-settings-js', 'wpsuite_object',
 //            array( 'ajax_url' => admin_url( 'admin-ajax.php' ) ) );


  wp_register_style('wpsuite_main', plugins_url('/assets/css/gdprs_main.css',__FILE__));
 // wp_register_script('wpsuite_js_script_gdpr', plugins_url('/assets/js/jquery-3.2.1.js',__FILE__), array('jquery'));
  //wp_register_script('gdrp_suite_main', plugins_url('/assets/js/gdrp_suite_main.js',__FILE__), array('jquery'));
   wp_register_script('wpsuite_script_validate', plugins_url('/assets/js/jquery.validate.min.js',__FILE__), array('jquery'));
		wp_enqueue_style('wpsuite_main');

		if (isset($_GET['page'])){
			//		if($_GET['page'] == 'customcookie' || $_GET['page'] == 'gdpr_suite_autoresponder_settings') {
					wp_enqueue_script( 'GDPRS-public-settings-js', plugins_url('/assets/js/gdrp_suite_main.js', __FILE__),array('jquery'));
    	wp_localize_script( 'GDPRS-public-settings-js', 'wpsuite_object',
            array( 'ajax_url' => admin_url( 'admin-ajax.php' ) ) );
					//wp_enqueue_script('wpsuite_js_script_gdpr');
			//	}
		//	if($_GET['page'] == 'gdpr_advance_cookies' || $_GET['page'] == 'gdpr_suite_autoresponder_settings') {
				wp_enqueue_script( 'GDPRS-public-settings-js', plugins_url('/assets/js/gdrp_suite_main.js', __FILE__),array('jquery'));
				wp_localize_script( 'GDPRS-public-settings-js', 'wpsuite_object',
					array( 'ajax_url' => admin_url( 'admin-ajax.php' ) ) );
				//wp_enqueue_script('wpsuite_js_script_gdpr');
		//	}
if($_GET['page'] == 'customcookie' || $_GET['page'] == 'gdpr_advance_cookies' || $_GET['page'] == 'gdpr_suite_autoresponder_settings' || $_GET['page'] == 'gdpr_thirdparty' || $_GET['page'] == 'gapr_suite_terms'  || $_GET['page'] == 'gapr_suite_policy' || $_GET['page'] == 'gapr_suite_righttoforget' || $_GET['page'] == 'gapr_suite_datarequest' || $_GET['page'] == 'gapr_suite_data_breach' || $_GET['page'] == 'gapr_suite_datarectification' || $_GET['page'] == 'gdpr_suite_default_btn_settings' ) wp_dequeue_script('chartjs');
		}

	wp_enqueue_script('wpsuite_script_validate');




}
  add_action('admin_enqueue_scripts', 'wpsuite_js_script',100);


// check cookie consent valid or not
 function wpsuite_is_consent_valid() {

 		$user_id   = get_current_user_id();
		//echo $user_id;
		$user_meta = get_user_meta( $user_id, get_id(), true );


		if ( wpsuite_is_consent_declined() ) {
			return false;
		}

		$user_valid = false;
		if (  $user_id ) {

			$user_valid = (
				is_array( $user_meta ) &&
				! empty( $user_meta['consent_expire_time'] ) &&
				$user_meta['consent_expire_time'] > time()
			);

		}

		$cookie_date  = get_cookie( 'consent_expire_time', 0 );
		$cookie_valid = (
			$cookie_date &&
			$cookie_date > time()
		);

		//echo $cookie_valid;
		//exit;
		return  $cookie_valid;
}

// check consent declind or not
function wpsuite_is_consent_declined() {

		$user_id   = get_current_user_id();
		//echo $user_id;
		$user_meta = get_user_meta( $user_id, get_id(), true );

		$user_declined = false;
		if ( is_user_logged_in() && is_array( $user_meta ) ) {

			$user_declined = ! empty( $user_meta['consent_declined'] );

		}

		// this actually never happens
		$cookie_declined = get_cookie( 'consent_declined', false );
		//echo $cookie_declined;
		//exit;

		return $cookie_declined;
}
// Get cookie
function get_cookie( $variable_name = '', $variable_default_value = '' ) {


		$cookie = ! empty( $_COOKIE[ get_id() ] ) ? json_decode( stripslashes( $_COOKIE[ get_id() ] ), true ) : array();


		if ( $variable_name ) {
			return is_array( $cookie ) && isset( $cookie[ $variable_name ] ) ? $cookie[ $variable_name ] : $variable_default_value;
		}

		return $cookie;

}
//cookie name
function get_id() {

	return 'wpsuite-gdpr-cookie';
}

// place the following codes in your function.php

add_action('wp_head', 'myplugin_ajaxurl');

function myplugin_ajaxurl()
{
    echo '<script type="text/javascript">
           var ajaxurl = "' . admin_url('admin-ajax.php') . '";
         </script>';
}


add_action( 'admin_enqueue_scripts', 'wpsuite_color_picker' );


	function wpsuite_color_picker()
	{
		// Make sure to add the wp-color-picker dependecy to js file
		if (isset($_GET['page']) && ($_GET['page'] == 'customcookie') ) {
		wp_enqueue_script( 'wpsuite_color', plugins_url( '/assets/js/color_picker.js', __FILE__ ), array( 'jquery', 'wp-color-picker' ), '', true  );
	    }
		if (isset($_GET['page']) && ($_GET['page'] == 'gdpr_advance_cookies') ) {
			wp_enqueue_script( 'wpsuite_color', plugins_url( '/assets/js/color_picker.js', __FILE__ ), array( 'jquery', 'wp-color-picker' ), '', true  );
		}
		if (isset($_GET['page']) && ($_GET['page'] == 'gdpr_suite_default_btn_settings') ) {
			wp_enqueue_script( 'wpsuite_color', plugins_url( '/assets/js/color_picker.js', __FILE__ ), array( 'jquery', 'wp-color-picker' ), '', true  );
		}
	}
function getRealIpAddr()
{
	if (!empty($_SERVER['HTTP_CLIENT_IP']))   //check ip from share internet
	{
		$ip=$_SERVER['HTTP_CLIENT_IP'];
	}
    elseif (!empty($_SERVER['HTTP_X_FORWARDED_FOR']))   //to check ip is pass from proxy
	{
		$ip=$_SERVER['HTTP_X_FORWARDED_FOR'];
	}
	else
	{
		$ip=$_SERVER['REMOTE_ADDR'];
	}
	return $ip;
}
//block and save cookie

function wpsuite_consent_cookie()
{




	//load popup if above both are false
	require_once dirname(__FILE__).'/includes/font_families/font_families.php';
	$distborder = get_option('wpsuite_cc_dist_border');
	$popupautor = get_option('wpsuite_cc_popup_autoresponder_button_label');
	$display_cookies 		= get_option('wpsuite_cc_display_cookie');;
	$back_color          	= get_option('wpsuite_cc_back_color');
	$txt_color          	= get_option('wpsuite_cc_text_color');
	$border              	= (!empty($distborder))? $distborder : '0';
	$text 					= get_option('wpsuite_cc_content');
	$time 					= get_option('wpsuite_cc_expire_time');
	$position 				= get_option('wpsuite_cc_position');
	$select_page 			= get_option('wpsuite_cc_select_post');
	$select_pag 			= get_option('wpsuite_cc_select_posts');
	if (!empty($select_pag) && is_array ($select_pag)) {

		$select_pages			= implode(",", $select_pag);
	}
	else {

		$select_pages			= $select_pag;
	}
	$select_template 		= get_option('wpsuite_cc_select_template');
	$select_template_text 	= get_option('wpsuite_cc_select_template_text');
	$select_template_link 	= get_option('wpsuite_cc_select_template_link');
	$select_template_bar 	= get_option('wpsuite_cc_select_template_bar');
	$select_template_popup 	= get_option('wpsuite_cc_select_template_popup');
	$select_template_floating 	= get_option('wpsuite_cc_select_template_floating');

	$popup_title    		= get_option('wpsuite_cc_popup_title');
	$popup_subtitle 		= get_option('wpsuite_cc_popup_sub_title');
	$popup_source 			= get_option('wpsuite_cc_select_popup_source');
	$popup_text_content 	= get_option('wpsuite_cc_popup_content');
	$popup_link1_text    	= get_option('wpsuite_cc_popup_link1_text');
	$popup_link2_text    	= get_option('wpsuite_cc_popup_link2_text');
	$popup_link1_target_url = get_option('wpsuite_cc_popup_link1_target_url');
	$popup_link2_target_url = get_option('wpsuite_cc_popup_link2_target_url');
	$popup_title_font_size		= get_option('wpsuite_cc_popup_title_font_size').'px';
	$popup_content_font_size	= get_option('wpsuite_cc_popup_content_font_size').'px';
	$popup_title_font_family	= get_option('wpsuite_cc_popup_title_font_family');
	$popup_content_font_family	= get_option('wpsuite_cc_popup_content_font_family');
	$popup_auto_button_label	= (!empty($popupautor))? $popupautor : 'Got it';
	$popup_createown	 =   wp_specialchars_decode(get_option('wpsuite_cc_select_template_createown'));
	$popup_auto_select_responder = get_option('wpsuite_auto_select_responder');
	$popup_auto_createown	 	 =   wp_specialchars_decode(get_option('wpsuite_auto_select_responder_createautoresponder'));
	$popup_block_all_cookie = get_option('wpsuite_cc_block_selected_user_consents');
	$popup_custom_css = get_option('wpsuite_cc_popup_custom_css');
	$cookies_settings = get_option('wpsuite_cc_select_cookies_settings');
	//$advance_settings = get_option('wpsuite_cc_select_cookies_settings');
	$more_info = get_option('wpsuite_cc_select_moreinfo_settings');
	$selected_countries = get_option('wpsuite_cc_select_countries');
	$show_popup = false;

	$btn_text_color = get_option('wpsuite_cc_btn_text_color');
	$btn_bg_color = get_option('wpsuite_cc_btn_bg_color');
	$btn_font_size = get_option('wpsuite_cc_btn_font_size');
	$btn_width = get_option('wpsuite_cc_btn_width');
	$btn_height = get_option('wpsuite_cc_btn_height');
	$btn_font_family = get_option('wpsuite_cc_btn_font_family');



	?>
<style>

    button#gdprsuite-advanced-cookie-acceptance-button, input#wpsuite_rectification_submit,button.wpsuite_policy_submit, input#wpsuite_forgot_submit, input#wpsuite_portability_submit, button.wpsuite_terms_submit, button#gdprsuite-advanced-cookie-acceptance-button, .gdprsuite-cookie-bar-more-info-wrap.gdprsuite_info_position_left .gdprsuite-cookie-info-content .gdprsuite_info_close_button::after, .gdprsuite-cookie-bar-more-info-wrap.gdprsuite_info_position_right .gdprsuite-cookie-info-content .gdprsuite_info_close_button::after{
        color: <?php if($btn_text_color != "") {echo $btn_text_color;}else{ echo "#fff"; } ?>;
        background-color: <?php if($btn_bg_color != "") echo $btn_bg_color; else echo "#007bc1"; ?>;
        font-family: <?php if($btn_font_family != "") echo $btn_font_family; ?>;
        font-size: <?php if($btn_font_size != "") echo $btn_font_size; ?>;
        width: <?php if($btn_width != "") echo $btn_width; ?>px;
        height: <?php if($btn_height != "") echo $btn_height; ?>px;
        border: 1px solid <?php if($btn_bg_color != "")  echo $btn_bg_color; else echo "#007bc1";  ?> ;
    }
    .gdprsuite-cookie-bar-more-info-wrap.gdprsuite_info_position_left .gdprsuite-cookie-info-content .gdprsuite_info_close_button::after, .gdprsuite-cookie-bar-more-info-wrap.gdprsuite_info_position_right .gdprsuite-cookie-info-content .gdprsuite_info_close_button::after
    {
        background-color: <?php if($btn_bg_color != "") echo $btn_bg_color; else echo "#007bc1"; ?>;

    }
    .nk-toggle-switch:not([data-ts-color]) input:not(:disabled):checked+.ts-helper:before{
        background-color: <?php if($btn_bg_color != "") echo $btn_bg_color; else echo "#007bc1"; ?>;
    }
    .nk-toggle-switch:not([data-ts-color]) input:not(:disabled):checked+.ts-helper {
        background-color: <?php if($btn_bg_color != "") echo $btn_bg_color; else echo "#007bc1"; ?>;
    }

</style>

    <?php

	//print_r($selected_countries);
	if($selected_countries[0] == 'NONE'){
		$show_popup = false;
    }
	if($selected_countries[0] == 'ALL'){
		$show_popup = true;
	}else{

		$ipdat = @json_decode(file_get_contents("http://www.geoplugin.net/json.gp?ip=" . getRealIpAddr()));
		//print_r($ipdat->geoplugin_request);
		//$ipdat->geoplugin_countryCode = "PK";
		$euCountries = [
			"DE", "AT", "BE", "BG", "CY", "HR", "DK", "ES", "EE", "FI", "FR", "GR", "HU", "IE",
			"IT", "LV", "LT", "LU", "MT", "NL", "PL", "PT", "CZ", "RO", "GB", "SK", "SI", "SE"
		];
		if(!empty($selected_countries)){
			foreach($selected_countries as $key => $value)
			{
				if($value == $ipdat->geoplugin_countryCode)
				{
				    $show_popup = true;
				}
				if($value == 'EU' && in_array($ipdat->geoplugin_countryCode, $euCountries)){
					$show_popup = true;
                }

			}
		}
    }
	if(!empty($select_pages) && $display_cookies != true){
	  global $post;
	  if(in_array($post->ID, $select_pag)){
	      $show_popup = true;
      }else{
	      $show_popup = false;
      }
    }



	//  $show_popup = "true";
   // echo $show_popup;

if($show_popup !=true){
	    return;
}
if($cookies_settings == "yes"){
	require_once dirname(__FILE__).'/Templates/cookie_settings.php';
	?>
    <button style=" position:fixed;left:0;bottom:0;z-index: 99; background: <?php echo get_option('gdpr_advance_main_btn_bg_color')?>; color: <?php echo get_option('gdpr_advance_main_btn_txt_color')?>; font-size: <?php echo get_option('gdpr_advance_main_btn_font_size')?>; font-family: <?php echo get_option('gdpr_advance_main_btn_font')?>; " onclick="display_info_content()" class="gdprsuite-cookie-bar-more_info " id="advance_main_btn">

        <i class="fa fa fa-cog" id="gdprsuite_more_info_icon"></i>

        <?php if(get_option('gdpr_advance_main_btn_txt') != ""){
            echo get_option('gdpr_advance_main_btn_txt');
        }else{ ?>
            Manage Cookie
        <?php } ?>
    </button>
    <?php
}
	if ( wpsuite_is_consent_valid() ) {
		return;
	}
	if ( wpsuite_is_consent_declined() ) {
		return;
	}


	$font_fam = '';
	$font_size = '';
	//echo $popup_content_font_size;
	//exit;

	foreach ($font_families_goggle as $key => $family) {

		if ($key == $popup_title_font_family ) { ?>

			<link href="https://fonts.googleapis.com/css?family=<?php echo $family; ?>" rel="stylesheet">

		<?php
			$popup_title_font_family = $family;

		}
		if ($key == $popup_content_font_family ) { ?>

			<link href="https://fonts.googleapis.com/css?family=<?php echo $family; ?>" rel="stylesheet">
		<?php

			$popup_content_font_family = $family;
		}

	}
	foreach ($font_families as $key => $family) {

		if ($key == $popup_title_font_family ) {

			$popup_title_font_family = trim($family);


		}
		if ($key == $popup_content_font_family ) {

			$popup_content_font_family = trim($family);

			//exit;
		}

	}



	if ($position == 'center') {

		// if($popup_content_font_size >)
		// if (strlen($popup_text_content) > 250) {

  //       	$popup_text_content = explode( "\n", wordwrap( $popup_text_content, 250));
  //       	$popup_text_content = $popup_text_content[0] . '...';
  //   	}
    		$class_wpsuite = "class_wpsuite_center";

	}

	else {

		//if () {
		//}
		// if (strlen($popup_text_content) > 70) {

  //       	$popup_text_content = explode( "\n", wordwrap( $popup_text_content, 70));
  //       	$popup_text_content = $popup_text_content[0] . '...';
  //   	}
    		$class_wpsuite = "class_wpsuite_auto";
	}


	$top  = '';$left =  '';$right = '';$bottom = '';$height = '220px';$width = '500px';

	$img_url = GDPRS_PLUGIN_URL.'assets/images/'.$select_template.'.png';
	//$popup_source = 'floating';
	//echo $img_url;

    ?>
<style>
    #advance_main_btn{
        display:none;
    }
</style>
    <?php
	if ($popup_source == 'text') {

		$img_url = GDPRS_PLUGIN_URL.'assets/images/'.$select_template_text.'.png';
		 ?>


		<div class="wpsuite_popup  <?php echo $class_wpsuite; ?>" style="background-image:url(<?php echo $img_url; ?>);">

			<link rel="stylesheet" type="text/css" href="<?php echo plugins_url('/Templates/text/'.$select_template_text.'/'.$select_template_text.'.css',__FILE__) ?>">
			<?php

				require_once dirname(__FILE__).'/Templates/text/'.$select_template_text.'/'.$select_template_text.'.php';
			?>


		</div> <?php


	}
	elseif ($popup_source == 'link') {

		$img_url = GDPRS_PLUGIN_URL.'assets/images/'.$select_template_link.'.png';
		 ?>


		<div class="wpsuite_popup <?php echo $class_wpsuite; ?>" style="background-image:url(<?php echo $img_url; ?>); <?php if($more_info == "yes" && $cookies_settings == "yes" && $select_template_link != "mako"){?>height: 265px;<?php } ?>">

			<link rel="stylesheet" type="text/css" href="<?php echo plugins_url('/Templates/link/'.$select_template_link.'/'.$select_template_link.'.css',__FILE__) ?>">
			<?php

				require_once dirname(__FILE__).'/Templates/link/'.$select_template_link.'/'.$select_template_link.'.php';
			?>


		</div> <?php


	}
	elseif ($popup_source == 'autoresponder') {

		$img_url = GDPRS_PLUGIN_URL.'assets/images/'.$select_template.'.png';
		if($select_template == 'webina') {

			$back_position = 'bottom';
		}
		else {
			$back_position = 'center';
		}


		if ($popup_auto_select_responder == 'createautoresponder') {

			if($position == 'bottom_left' || $position == 'bottom_right') {}else{?>

			<div class="wpsuite_popup <?php echo $class_wpsuite; ?>" style="background-image:url(<?php echo $img_url; ?>); background-position: <?php echo $back_position; ?>!important; height:100%!important;">

			<link rel="stylesheet" type="text/css" href="<?php echo plugins_url('/Templates/autoresponder/'.$select_template.'/'.$select_template.'.css',__FILE__) ?>">
			<?php

				require_once dirname(__FILE__).'/Templates/autoresponder/'.$select_template.'/'.$select_template.'.php';
			?>


		</div>
		<?php
			}
		}
		else { ?>








		<div class="wpsuite_popup <?php echo $class_wpsuite; ?>" style="background-image:url(<?php echo $img_url; ?>); background-position: <?php echo $back_position; ?>!important;">

			<link rel="stylesheet" type="text/css" href="<?php echo plugins_url('/Templates/autoresponder/'.$select_template.'/'.$select_template.'.css',__FILE__) ?>">
			<?php

				require_once dirname(__FILE__).'/Templates/autoresponder/'.$select_template.'/'.$select_template.'.php';
			?>


		</div> <?php


	}
	}
	elseif ($popup_source == 'image') { ?>

		<div class="wpsuite_popup wpsuite_custom_pop_style <?php echo $class_wpsuite; ?>" style="background-image:url(<?php echo $img_url; ?>);">

			<link rel="stylesheet" type="text/css" href="<?php echo plugins_url('/Templates/'.$select_template.'/'.$select_template.'.css',__FILE__) ?>">
			<?php

				require_once dirname(__FILE__).'/Templates/'.$select_template.'/'.$select_template.'.php';
			?>


		</div> <?php
	}
	elseif ($popup_source == 'createown') { ?>

		<div class="wpsuite_popup wpsuite_custom_pop_style <?php echo $class_wpsuite; ?>" style = "padding: 0px!important; border:<?php echo $border; ?>px solid #ddd!important; overflow: hidden; background-color: <?php echo $back_color; ?>; height: auto;">
			<style>
				<?php echo $popup_custom_css; ?>
			</style>
			<?php
				echo $popup_createown;
			?>
			<div class="wpsuite_button_parent" style="text-align: center; padding: 8px!important; ">
				<button name="wpsuite_accept_cookies" class="wpsuite_accept_cookies_text_check wpsuite_accept_cookie" style="color: <?php echo $txt_color; ?>; padding: 0px 20px!important; font-size: 20px!important;" title = "Accept Cookie"> <?php echo $popup_auto_button_label; ?></button>
			</div>
			<?php if($more_info == "yes"){?>
                			<div class="wpsuite_button_parent" style="text-align: center; padding: 8px!important; ">

                <button name="wpsuite_decline_cookies" class="gdrp_cp_button_inner wpsuite_decline_cookie "  onclick="location.href = '<?php echo $popup_link2_target_url; ?>';"> <?php echo $popup_link2_text; ?>  </button>
                            </div>
			<?php } ?>
			<?php if($cookies_settings == "yes"){?>
                                			<div class="wpsuite_button_parent" style="text-align: center; padding: 8px!important; ">

                <button name="wpsuite_decline_cookies" class="gdrp_cp_button_inner wpsuite_decline_cookie" onclick="display_info_content()" >
					<?php if(get_option('wpsuite_cc_popup_cookie_settings_text') != ''){ echo get_option('wpsuite_cc_popup_cookie_settings_text'); }else{ echo "Cookie Settings"; } ?>
                </button>
                                            </div>
			<?php } ?>
			<span class="wpsuite-popup-btn-close" style="background-color: #000!important;">&#10008;</span>
		</div> <?php
	}
	elseif($popup_source == 'bar'){
	    $pos = get_option('wpsuite_cc_popup_bar_position');
	    require_once dirname(__FILE__).'/Templates/bar/'.$select_template_bar.'/'.$select_template_bar.'.php';


	}
    elseif($popup_source == 'floating'){
	   //$select_template_floating = 'ultimate';
		require_once dirname(__FILE__).'/Templates/floating/'.$select_template_floating.'/'.$select_template_floating.'.php';

	}
    elseif($popup_source == 'popup'){
		//	$select_template = 'template16';

		require_once dirname(__FILE__).'/Templates/popup/'.$select_template_popup.'/'.$select_template_popup.'.php';

	}
	elseif ($popup_source == 'none') {

		$back_color     = (!empty($back_color)? $back_color : '#000');

		$txt_color      = (!empty($txt_color)? $txt_color : '#fff');
		 ?>

		<div class="wpsuite_popup <?php echo $class_wpsuite; ?>" style="height:auto;background: <?php echo $back_color; ?>; overflow: hidden; ">

			<link rel="stylesheet" type="text/css" href="<?php echo plugins_url('/Templates/none/none.css',__FILE__) ?>">
			<?php

				require_once dirname(__FILE__).'/Templates/none/none.php';
			?>


		</div> <?php
	}
else{

?>


	<div class="wpsuite_popup <?php echo $class_wpsuite; ?>">
	<?php
		echo $text;
	?> <br><br>

	<div id="wpsuite_popup_button">
	<button name="wpsuite_accept_cookies" class="wpsuite_accept_cookie"> <i class="fa fa-check" aria-hidden="true"></i> </button>
	<button name="wpsuite_decline_cookies" class="wpsuite_decline_cookie" > <i class="fa fa-times" aria-hidden="true"></i> </button>
	</div>

	<span class="wpsuite-popup-btn-close">close</span>
	</div>
	<?php
}

	if ($position == 'top_left') {

		$top     = '45px';
		$bottom  = 'auto';
		$position = 'left';

	}
	elseif ($position == 'top_right') {

		$top     = '45px';
		$bottom  = 'auto';
		$position = 'right';


	}
	elseif ($position == 'center') {
		$top    = 'calc(50% - 25%)'; // half of width
  		$left   = 'calc(50% - 25%)'; // half of height
  		$height = '350px';
  		$width  = '700px';

	}
	elseif ($position == 'bottom_left') {

		$top     = 'auto';
		$bottom  = '8px';
		$position = 'left';
	}
	elseif ($position == 'bottom_right') {

		$top     = 'auto';
		$bottom  = '8px';
		$position = 'right';
	}
	else {

		$top     = 'auto';
		$bottom  = '8px';
		$position = 'left';
	}
?>
	<style>


		.wpsuite_popup {display: none; position: fixed; bottom: <?php echo $bottom; ?>; top : <?php echo $top; ?>;  <?php echo $position ?> : 16px; left : <?php echo $left; ?>; width:  <?php echo $width; ?>; height: <?php echo $height; ?>; padding: 10px; color: <?php echo $txt_color; ?>; font-size: 19px;  border: <?php echo $border; ?>px solid #150E2D; z-index: 99999999; background-repeat: no-repeat;background-position: center;background-size: cover;}
		.wpsuite-popup-btn-close {position: absolute; top: 0px; right: 3px; color: #fff; font-size: 30px; font-weight: bold; text-transform: uppercase; cursor: pointer;}
		.wpsuite_decline_cookie { font-size:12px;  background: black; color: white; padding: 6px 12px!important;} .wpsuite_accept_cookie { font-size:12px;background: black; color: white; padding: 6px 12px!important;}
		#wpsuite_popup_button {color:red;}

	</style>

	<form action ="#" name ="wpsuite_cooke_hidden">

	<?php
	global $post;
	if($display_cookies == 'on')
	{
		?>
		<input type ="hidden" name = "wpsuite_cooke_hidden_name" class = "wpsuite_cooke_hidden" value = "<?php echo $display_cookies; ?>" >
		<?php
	}
	elseif(!empty($select_pages))
	{
		$c = $post->ID;
		if(preg_match('/(^|,)'.$c.'($|,)/', $select_pages))
		{
		?>
		<input type ="hidden" name = "wpsuite_cooke_hidden_name" class = "wpsuite_cooke_hidden" value = "<?php echo $post->ID; ?>" >
		<?php
		}
		else
		{
		?>
		<input type ="hidden" name = "wpsuite_cooke_hidden_name" class = "wpsuite_cooke_hidden" value = "" >
		<?php
		}
		?>
		<?php
	}
	else
	{
		?>
			<input type ="hidden" name = "wpsuite_cooke_hidden_name" class = "wpsuite_cooke_hidden" value = "" >
		<?php
	}
	?>
	</form>

	<script>

	function readCookie(name)
	{
		var nameEQ = name + "=";
		var ca = document.cookie.split(';');
		for (var i = 0; i < ca.length; i++)
		{
			var c = ca[i];
			while (c.charAt(0) == ' ') c = c.substring(1, c.length);
			if (c.indexOf(nameEQ) == 0) return c.substring(nameEQ.length, c.length);
		}
		return null;
	}

	// function eraseCookie(name) {
		// createCookie(name, "", "1");
	// }

	var day = '<?php echo $time; ?>';
	var display = '<?php echo $display_cookies; ?>';

  /* 	var scrollTop = '';
	var newHeight = '100';

	jQuery(window).bind('scroll', function()
	{
		scrollTop = jQuery( window ).scrollTop();
		newHeight = scrollTop + 100;
	});
 */

	jQuery(window).load(function()
	{
		//if(readCookie("users")!="1" && readCookie("users")!="2")
		//{
		//	alert(display);
			var display = jQuery('.wpsuite_cooke_hidden').val();

			if(display == "on")
			{
				//jQuery('.wpsuite_popup').css('top', newHeight).toggle();
				jQuery('.wpsuite_popup').toggle();
			}
			else if ( display != '' )
			{
				jQuery('.wpsuite_popup').toggle();
			}
		//jQuery('.wpsuite_popup').toggle();
	});

/*	jQuery('html').click(function()
	{
		jQuery('.popup').hide();
	});
*/

	// Cookies
	function createCookie(name, value, days)
	{
		if (days)
		{
			var date = new Date();
			date.setTime(date.getTime() + (days * 24 * 60 * 60 * 1000));
			var expires = "; expires=" + date.toGMTString();
		}
		else var expires = "";

		document.cookie = name + "=" + value + expires + "; path=/";
	}

	// jQuery('.wpsuite_accept_cookie').click(function()
	// {
	// 	console.log (createCookie("users", "1", day));
	// 	alert("Cookie is Accepted");
	// 	jQuery('.wpsuite_popup').hide();
	// });

	jQuery('.wpsuite_decline_cookie').click(function()
	{
		//createCookie("users", "2", day);
		jQuery('.wpsuite_popup').hide();
		//alert("Cookie is Declined");
	});

	jQuery('.wpsuite-popup-btn-close').click(function(e)
	{
		jQuery('.wpsuite_popup').hide();
	});

	jQuery('.wpsuite_popup').click(function(e)
	{
		e.stopPropagation();
	});

	</script>

<?php

}
//Block cookie checkbox ON/OFF
function wpsuite_is_block_cookies() {

	$popup_block_all_cookie = get_option('wpsuite_cc_block_selected_user_consents');
	return !empty($popup_block_all_cookie);

}
//Block cookies in backend 
function wpsuite_block_cookies() {

	if ( !wpsuite_is_block_cookies() ) {

			return;
		}

		if ( wpsuite_is_consent_valid() ) {

			return;

		}

		/* Check for cookies in headers */
		$dirty        = false;
		$headers_list = headers_list();
		// echo '<pre>';
		// print_r($headers_list);
		// exit;
		foreach ( $headers_list as $header ) {

			if ( $dirty ) {

				// I already know it needs to be cleaned
				continue;

			}

			if ( preg_match( '/Set-Cookie/', $header ) ) {
				$dirty = true;
			}

		}

		/* Remove them */
		if ( $dirty ) {
			header_remove( 'Set-Cookie' ); // php 5.3
		}


}
add_action( 'wp_footer', 'wpsuite_consent_cookie' );
add_action( 'send_headers','wpsuite_block_cookies', 99999999 );

function ajax_check_user_logged_in()
{
    echo is_user_logged_in()?'on':'off';
    die();
}
add_action('wp_ajax_is_user_logged_in', 'ajax_check_user_logged_in');
add_action('wp_ajax_nopriv_is_user_logged_in', 'ajax_check_user_logged_in');

function wpsuite_consent_terms()
{
	$logusers_redirect   = get_option('wpsuite_logusers_redirect');
	$guestusers_redirect = get_option('wpsuite_guestusers_redirect');
	$terms_redirect 	 = get_option('wpsuite_terms_redirect');
	$terms_expire_time 	 = get_option('wpsuite_terms_expire_time');
	$terms_permalink 	 = get_post_permalink( get_option('wpsuite_terms_redirect') );
	$terms_button_text	 = get_option('gdprsuite_terms_button_text');

	$short_terms ='<div class="wpsuite_term_submit">';
	$short_terms .='<button name="wpsuite_terms_submit" class="wpsuite_terms_submit">';
	$short_terms .=$terms_button_text;
	$short_terms .='</button>';
	$short_terms .='</div>';

	$short_terms .='<div class="wpsuite_term_accepted" style="display:none;" > You have already accepted Terms and Conditions </div>';

	$short_terms .= "<script>

	function readCookie(name) 
	{
		var nameEQ = name + '=';
		var ca = document.cookie.split(';');
		for (var i = 0; i < ca.length; i++) 
		{
			var c = ca[i];
			while (c.charAt(0) == ' ') c = c.substring(1, c.length);
			if (c.indexOf(nameEQ) == 0) return c.substring(nameEQ.length, c.length);
		}
		return null;
	}
	
	
	var wp_logusers_redirect = '$logusers_redirect';
	var wp_guestusers_redirect = '$guestusers_redirect';
	var wp_terms_redirect = '$terms_redirect';
	var wp_terms_expire_time = '$terms_expire_time';
	var terms_users = { action: 'is_user_logged_in' };
	var terms_perma = '$terms_permalink';

	
	// Cookies
	function createCookie(name, value, days) 
	{
		if (days) 
		{
			var date = new Date();
			date.setTime(date.getTime() + (days * 24 * 60 * 60 * 1000));
			var expires = '; expires=' + date.toGMTString();
		}
		else var expires = '';

		document.cookie = name + '=' + value + expires + '; path=/';
	}

	jQuery('.wpsuite_terms_submit').click(function()
	{
		jQuery.post(ajaxurl, terms_users, function(response)
		{
			if(response == wp_logusers_redirect)
			{
				console.log (createCookie('gdprsuite_terms_key', 'gdprsuite_terms_value', wp_terms_expire_time));
				window.location= terms_perma;
				jQuery('.wpsuite_terms_submit').hide();
			}
			else if(response == wp_guestusers_redirect)
			{
				console.log (createCookie('gdprsuite_terms_key', 'gdprsuite_terms_value', wp_terms_expire_time));
				window.location= terms_perma;
				jQuery('.wpsuite_terms_submit').hide();
			}
			else
			{
				console.log (createCookie('gdprsuite_terms_key', 'gdprsuite_terms_value', wp_terms_expire_time));
				jQuery('.wpsuite_terms_submit').hide();
			}
		});
		
	});
	
			jQuery(window).load(function() 
			{
			if(readCookie('gdprsuite_terms_key')=='gdprsuite_terms_value')
			{
				jQuery('.wpsuite_terms_submit').hide();
				jQuery('.wpsuite_term_accepted').show();
			}
			else
			{
			}
			
		});

		
	</script>";
	return $short_terms;
}
add_shortcode( 'gdprsuite_terms_accept', 'wpsuite_consent_terms' );


function wpsuite_consent_policy()
{
	$policy_logusers_redirect   = get_option('gdprsuite_policy_logusers_redirect');
	$policy_guestusers_redirect = get_option('gdprsuite_policy_guestusers_redirect');
	$policy_redirect 		    = get_option('gdprsuite_policy_redirect');
	$policy_expire_time 	    = get_option('gdprsuite_policy_expire_time');
	if(get_option('gdprsuite_policy_redirect') == 'none'){
		$post_permalink = "none";
    }else{
		$post_permalink 			= get_post_permalink( get_option('gdprsuite_policy_redirect') );

	}
	//$post_permalink = "none";
	$policy_button_text			= get_option('gdprsuite_policy_button_text');

	$short_policy ='<div id="wpsuite_policy_submit">';
	$short_policy .='<button name="wpsuite_policy_submit" class="wpsuite_policy_submit">';
	$short_policy .= $policy_button_text;
	$short_policy .= '</button>';
	$short_policy .='</div>';

	$short_policy .= '<div class="wpsuite_policy_accepted" style="display:none;" > You have already accepted Privacy Policy	</div>';

	$short_policy .="<script>

	function readCookie(name) 
	{
		var nameEQ = name + '=';
		var ca = document.cookie.split(';');
		for (var i = 0; i < ca.length; i++) 
		{
			var c = ca[i];
			while (c.charAt(0) == ' ') c = c.substring(1, c.length);
			if (c.indexOf(nameEQ) == 0) return c.substring(nameEQ.length, c.length);
		}
		return null;
	}
	
	
	var wp_policy_logusers_redirect = '$policy_logusers_redirect';
	var wp_policy_guestusers_redirect = '$policy_guestusers_redirect';
	var wp_policy_redirect = ' $policy_redirect';
	var wp_policy_expire_time = ' $policy_expire_time';
	var policy_users = { action: 'is_user_logged_in' };
	var post_perma = '$post_permalink';
  
	// Cookies
	function createCookie(name, value, days) 
	{
		if (days) 
		{
			var date = new Date();
			date.setTime(date.getTime() + (days * 24 * 60 * 60 * 1000));
			var expires = '; expires=' + date.toGMTString();
		}
		else var expires = '';

		document.cookie = name + '=' + value + expires + '; path=/';
	}

	jQuery('.wpsuite_policy_submit').click(function()
	{
		jQuery.post(ajaxurl, policy_users, function(response)
		{
			if(response == wp_policy_logusers_redirect)
			{
				console.log (createCookie('gdprsuite_policy_key', 'gdprsuite_policy_value', wp_policy_expire_time));
			    jQuery('.wpsuite_policy_accepted').show();
				window.location= post_perma;
				jQuery('.wpsuite_policy_submit').hide();
			}
			else if(response == wp_policy_guestusers_redirect)
			{
				console.log (createCookie('gdprsuite_policy_key', 'gdprsuite_policy_value', wp_policy_expire_time));
				jQuery('.wpsuite_policy_accepted').show();
				window.location= post_perma;
				jQuery('.wpsuite_policy_submit').hide();
			}
			else
			{
				console.log (createCookie('gdprsuite_policy_key', 'gdprsuite_policy_value', wp_policy_expire_time));
				jQuery('.wpsuite_policy_submit').hide();
			}
		});
		
	});
	
			jQuery(window).load(function() 
			{
			if(readCookie('gdprsuite_policy_key')=='gdprsuite_policy_value')
			{
				jQuery('.wpsuite_policy_submit').hide();
				jQuery('.wpsuite_policy_accepted').show();
			}
			else
			{
				
			}
			
		});
	
	</script>";
	return $short_policy;
}
add_shortcode( 'gdprsuite_policy_accept', 'wpsuite_consent_policy' );

function wpsuite_forget()

{

	include_once ABSPATH . 'wp-admin/includes/file.php';

    if(get_option('gdprsuite_right2forget_checkbox') == "yes"){
	    $gdprsuite_right2forget_checkbox_label= get_option('gdprsuite_right2forget_checkbox_label');
	    $gdprsuite_cf7_privacy_policy_link_text = get_option('gdprsuite_right2forget_privacy_policy_link_text');
	    $gdprsuite_cf7_privacy_policy_url = get_option('gdprsuite_right2forget_privacy_policy_url');
	    $additional_entries_text = isset($gdprsuite_right2forget_checkbox_label) && !empty($gdprsuite_right2forget_checkbox_label) ? esc_attr($gdprsuite_right2forget_checkbox_label) : __("I am okay with storage of my data and accept #PrivacyPolicy", TGDPRC_DOMAIN);
	    $privacy_policy_link_label = (isset($gdprsuite_cf7_privacy_policy_link_text) && !empty($gdprsuite_cf7_privacy_policy_link_text)) ? esc_attr($gdprsuite_cf7_privacy_policy_link_text) : __("Privacy Policy", TGDPRC_DOMAIN);
	    $orginalstr = array("#PrivacyPolicy");
	    $policy_url = isset($gdprsuite_right2forget_privacy_policy_url) && !empty($gdprsuite_right2forget_privacy_policy_url) ? '<a href="' . esc_url($gdprsuite_right2forget_privacy_policy_url) . '" target="_blank">' . $privacy_policy_link_label . '</a>' : $privacy_policy_link_label;
	    $replacestr = array($policy_url);
	    $final_additional_entries_text = str_replace($orginalstr, $replacestr, $additional_entries_text);
	    $checkbox_consent = '<div class="wpsuite_checkbox">
		
			<input class="gdprsuite-consent-check" type="checkbox" name="gdprsuite_right2forget_checkbox" value="accepted" required/>'.$final_additional_entries_text.'</input>
</div>';

    }else{
        $checkbox_consent = '';
    }

//	$mm = esc_html__( 'Below you can browser services which collect your personal data on this website. Check services you wish to be forgotten by. This will send a request to website admin.', 'wpsuite_consent_forgot' );

	$mm = '<div id="gdprsuite_view_tabs">';

    $mm .= '<div class="gdprsuite_tabs">';



        $mm .= '<ul class="gdprsuite_tab_links">';

            $mm .= '<li class="active"><a href="#tab1">';

			$mm .=  __( "Personal Data Access", 'gdpr_suite' );

			$mm .= '</a></li>';

            $mm .=  '<li><a href="#tab2">';

			$mm .=  __( "Forget Me", 'gdpr_suite' );

			$mm .= '</a></li>';

            $mm .= '<li><a href="#tab3">';

			$mm .= __( "Data Rectification", 'gdpr_suite' );

			$mm .= '</a></li></ul>



		<div class="gdprsuite_tab_content">

        <div id="tab1" class="gdprsuite_tab active">

			<div class="gdprforgottensucces" style="color:#00ff00;display:none;">We have got your request. We will get back to you asap. </div>

			<div class="wpsuite-headerContent">';





			$mm .=  __(esc_attr( get_option('wpsuite_portability_introduction_text') ) , 'gdpr_suite');

			$mm .= '</div><br>';



			$mm .= '<form action="" id="portability" method="post">';

			$mm .= '<div class="wpsuite_portability_email">

				<label for="wpsuite_portability_email" class="wpsuite_portability_label_email">Email:</label>

				<input type="email" name="wpsuite_portability_email" id="wpsuite_portability_email" class="wpsuite_portability_view_email" placeholder="Enter Your Email" value="" required>

			</div><br>
				'.$checkbox_consent.'



			<div class= "wpsuite_portability_submit">

            <input type="submit" class="wpsuite_portability_view_submit" id="wpsuite_portability_submit" name="wpsuite_portability_submit" value="Submit">

			</div><br>

			</form>

			</div>

		

			

		<div id="tab2" class="gdprsuite_tab">

			<div class="gdprforgottensucces" style="color:#00ff00;display:none;">We have got your request. We will get back to you asap. </div>

			<div class="wpsuite_view_forgot_wrap">

			<div class="wpsuite_consent_forgot">';



			$mm .= __(esc_attr( get_option('wpsuite_right_to_forget_introduction_text') ), 'gdpr_suite');

            $mm .= '</div><br>';



			$mm .= '<form action="" id="forgot" method="post">

			

			<div class="wpsuite_forgot_checkbox">



				<div class="wpsuite_forgot_comment">

				<input type="checkbox" name="wpsuite_forgot_service[]" value="Woocommerce"> WooCommerce </input>

				</div>



				<div class="wpsuite_forgot_comment">

				<input type="checkbox" name="wpsuite_forgot_service[]" value="WP Comments"> WP Comments </input>

				</div>



				<div class="wpsuite_forgot_post">

				<input type="checkbox" name="wpsuite_forgot_service[]" value="WordPress Posts"> WordPress Posts </input>

				</div>



				<div class="wpsuite_forgot_userdata">

				<input type="checkbox" name="wpsuite_forgot_service[]" value="WP User data"> WP User data </input>

				</div>



			</div><br>

					

			<div class="wpsuite_forgot_email">

				<label for="wpsuite_forgott_email" class="wpsuite_portability_label_email">Email:</label>

				<input type="email" class="wpsuite_portability_view_email" name="wpsuite_forgot_email" id="wpsuite_forgot_email" placeholder="Enter Your Email" value="" required>

			</div><br>
			'.$checkbox_consent.'



			

			<div class= "wpsuite_forgott_submit">

            <input type="submit" class="wpsuite_portability_view_submit" id="wpsuite_forgot_submit" name="wpsuite_forgot_submit" value="Submit">

			</div><br>

			

			</form>

		</div>

		</div>

		<div id="tab3" class="gdprsuite_tab">

			<div class="gdprforgottensucces" style="color:#00ff00;display:none;">We have got your request. We will get back to you asap. </div>

			<div class="wpsuite_view_rectification">';

			$mm .= __(esc_attr( get_option('wpsuite_rectification_introduction_text') ) , 'gdpr_suite');

			$mm .= '</div><br>';

			$mm .= ' <form action="" id="rectification" method="post">

			<div class="wpsuite_rectification_currdata">

				<label for="wpsuite_rectification_currdata" class="wpsuite_portability_label_rectify">Current Data :</label>

				<textarea name="wpsuite_rectification_currdata" class="wpsuite_portability_view_rectify" id="wpsuite_rectification_currdata" rows="5" required></textarea>			

			</div><br>



			<div class="wpsuite_rectification_rectifydata">

				<label for="wpsuite_rectification_rectifydata" class="wpsuite_portability_label_rectify">Rectify Data :</label>

				<textarea name="wpsuite_rectification_rectifydata" class="wpsuite_portability_view_rectify" id="wpsuite_rectification_rectifydata" rows="5" required></textarea>			

			</div><br>



			<div class="wpsuite_rectification_email">

				<label for="wpsuite_rectification_email" class="wpsuite_portability_label_email">Email:</label>

				<input type="email" class="wpsuite_portability_view_email" name="wpsuite_rectification_email" id="wpsuite_rectification_email" placeholder="Enter Your Email" value="" required>

			</div><br>

	'.$checkbox_consent.'

			<div class= "wpsuite_portability_submit">

            <input type="submit" class="wpsuite_portability_view_submit" id="wpsuite_rectification_submit" name="wpsuite_rectification_submit" value="Submit">

			</div><br>

			</form>

		</div>';



	$mm .= '<script>

		jQuery("#forgot").submit(function()

		{

			var checked = jQuery("#forgot input:checked").length > 0;

			if (!checked)

			{

				alert("Please check at least one checkbox");

				return false;

			}

		});

		</script>';

		if ( isset( $_POST['wpsuite_forgot_submit'] ) )

		{?>

			<style type="text/css">.gdprforgottensucces{ display:inline !important }</style>



        <?php

         global $wpdb;

         $tablename = $wpdb->prefix.'gdprsuite_forget';

		 $service = maybe_serialize( $_POST['wpsuite_forgot_service'] );

		 $date= date("l jS F Y");

		$data=array(

            'email' => $_POST['wpsuite_forgot_email'],

            'service' => $service,

            'date' => $date);



         $mylink = '';
		$mylink = $wpdb->get_row( "SELECT * FROM ".$tablename." WHERE email = '".$_POST['wpsuite_forgot_email']."'" );
			if (!empty($mylink)) {
				# code...

		}else{

        $wpdb->insert( $tablename, $data);

	}

		//1122

		if(get_option('email_notification_forgetback') == "on")

		{

		$forget_to_email		  	= get_option('wpsuite_forgotback_admin_email');

		$forget_subjects	  		= "Data deletion request";

		$forget_messages    		= "User Requested to forget the GDPR_Suite Services \n\n User Email:  ".$_POST['wpsuite_forgot_email'];

		$forget_sender_email		= $_POST['wpsuite_forgot_email'];

		$forget_wpsuite_headers	 	= 'From: '. $forget_sender_email . "\r\n" .

									  'Content-type: text/html; charset=iso-8859-1' . "\r\n" .

									  'X-Mailer: PHP/' . phpversion();

		$forget_email = wp_mail($forget_to_email, $forget_subjects, $forget_messages,$forget_wpsuite_headers);

		}

		}

		//1133

		if ( isset( $_POST['wpsuite_portability_submit'] ) )

		{		?>

			<style type="text/css">.gdprforgottensucces{ display:inline !important }</style>



        <?php

         global $wpdb;

         $portability_tablename = $wpdb->prefix.'gdprsuite_portability';

		 $portability_date= date("l jS F Y");



        $portability_data=array(

            'email' => $_POST['wpsuite_portability_email'],

            'date' => $portability_date);

        $mylink = '';
		$mylink = $wpdb->get_row( "SELECT * FROM ".$portability_tablename." WHERE email = '".$_POST['wpsuite_portability_email']."'" );
		// echo '<pre>';
		// print_r($mylink);


		if (!empty($mylink)) {
				# code...

		}else{

        $wpdb->insert( $portability_tablename, $portability_data);

	}

		if(get_option('email_notification_portability_admin') == "on")

		{
		$portability_sender_email = '';
		$portability_sender_email_c = $_POST['wpsuite_portability_email'];


 		$portability_to_email	  	 =  get_option('admin_email');

		$portability_subjects	  	 =  "User have requested a copy of their data";

		$portability_messages     	 =  "User Requested For GDPR_Suite Data Access \n\n User Email:  ".$portability_sender_email_c;

		$portability_sender_email 	 =  get_option('admin_email');

        function wpsuite_my_mail_from( $email ) {

        			$portability_sender_email 	 =  get_option('admin_email');
                    return $portability_sender_email;
         }


        function wpsuite_new_mail_from_name($old) {
                   return '';
         }
        add_filter( 'wp_mail_from', 'wpsuite_my_mail_from' );
        add_filter('wp_mail_from_name', 'wpsuite_new_mail_from_name');

      	$portability_email = wp_mail( $portability_to_email, $portability_subjects, $portability_messages);

       	remove_filter( 'wp_mail_from', 'wpsuite_my_mail_from' );
        remove_filter('wp_mail_from_name', 'wpsuite_new_mail_from_name');



		}

		if(get_option('email_notification_portability_user') == "on")

		{

		$currentid = "";

 		$varr = $_POST['wpsuite_portability_email'];

		$portable_users = $wpdb->prefix . "users";

		$portable_comments = $wpdb->prefix . "comments";

		$portable_usermeta = $wpdb->prefix . "usermeta";

		$wpusers = $wpdb->get_results(" SELECT * FROM ". $portable_users ." where user_email = '".$varr."' ");

		$wp_comments = $wpdb->get_results(" SELECT * FROM ". $portable_comments ." where comment_author_email = '".$varr."'");



//		$currentid = $wpusers[0]->ID;

//		$usermeta_currid = $wpdb->get_results(" SELECT * FROM ". $portable_usermeta ." where user_id = '".$wpusers[0]->ID."' ");





		$rendered1_name = "comments";

		$rendered1 = "[]";

		$rendered3_name = "wp_posts";

		$rendered3 = "[]";





		if(!empty($wpusers))

		{



		$usermeta_currid = $wpdb->get_results(" SELECT * FROM ". $portable_usermeta ." where user_id = '".$wpusers[0]->ID."' ");



		if ( class_exists( 'WooCommerce' ) )

		{

		//Woocommerce

		$orders = array();



		$customer_orders = get_posts( array(

											'numberposts' => - 1,

											'meta_key'    => '_billing_email',

											'meta_value'  => $varr,

											'post_type'   => wc_get_order_types(),

											'post_status' => array_keys( wc_get_order_statuses()),

											) );

		foreach ( $customer_orders as $order )

		{

			$order    = wc_get_order( $order->ID );

			$orders[]   = $order->get_data();

		}



		$rendered_name = "woocommerce";

		$rendered = json_encode( $orders);



		//wp_comments



		$comments = array();

		if(!empty($wp_comments))

		{

		$comments[] = get_comments(array(

											'author_email' => $wp_comments[0]->comment_author_email,

										 ));

		$rendered1_name = "comments";

		$rendered1 = json_encode( $comments);

		}



		// Wp UserData



		$meta_args = array(

							'search' => $usermeta_currid[0]->user_id,

							'blog_id'=> 0

						  );

		$umeta = new WP_User_Query($meta_args); // $query is the WP_Query Object

		$umetas = array();



		$umetas[] = $umeta->get_results();



		$rendered2_name = "userdata";

		$rendered2 = json_encode( $umetas);



		// Wp Posts

		$posts = array();



		if(!empty($wpusers))

		{

		$args = array(

					'author'=> $wpusers[0]->ID,

					'numberposts' => - 1,

					'post_type'   => 'any',

					'nopaging' => true

					);



		$query = new WP_Query( $args ); // $query is the WP_Query Object



		$posts[] = $query->get_posts();   // $posts contains the post objects



		$rendered3_name = "wp_posts";

		$rendered3 = json_encode( $posts);

		}



		//woocommerce

		$file     = wp_tempnam($rendered_name);

		$file_new = str_replace( ".tmp", ".txt", $file );

		rename( $file, $file_new );



		file_put_contents( $file,$rendered );



		$combined_rendered = $rendered . PHP_EOL . PHP_EOL;



		file_put_contents( $file_new, $combined_rendered, FILE_APPEND );



		//wp_comments

		$file1     = wp_tempnam($rendered1_name);



		$file1_new = str_replace( ".tmp" ,".txt", $file1 );



		rename( $file1, $file1_new );



		file_put_contents( $file1,$rendered1 );



		$combined_rendered1 = $rendered1 . PHP_EOL . PHP_EOL;



		file_put_contents( $file1_new, $combined_rendered1, FILE_APPEND );



		//userdata

		$file2     = wp_tempnam( $rendered2_name);

		$file2_new = str_replace( ".tmp", ".txt", $file2 );

		rename( $file2, $file2_new );



		file_put_contents( $file2,$rendered2 );



		$combined_rendered2 = $rendered2 . PHP_EOL . PHP_EOL;



		file_put_contents( $file2_new, $combined_rendered2, FILE_APPEND );



		//wp_post

		$file3     = wp_tempnam( $rendered3_name );

		$file3_new = str_replace( ".tmp", ".txt", $file3 );

		rename( $file3, $file3_new );



		file_put_contents( $file3,$rendered3 );



		$combined_rendered3 = $rendered3 . PHP_EOL . PHP_EOL;



		file_put_contents( $file3_new, $combined_rendered3, FILE_APPEND );


		$attachments   = array();


		$attachments[] = $file_new;

		$attachments[] = $file1_new;

		$attachments[] = $file2_new;

		$attachments[] = $file3_new;





		$sender_email 	  = get_option('wpsuite_portability_admin_email');

		$wpsuite_to	      =	$_POST['wpsuite_portability_email'];

		$wpsuite_subject =  get_option('wpsuite_portability_subject');

		$wpsuite_message =  get_option('wpsuite_portability_message');

		$wpsuite_headers =	'From: '. $sender_email . "\r\n" .

							'Content-type: text/html; charset=iso-8859-1' . "\r\n" .

							'X-Mailer: PHP/' . phpversion();



		$email = wp_mail($wpsuite_to, $wpsuite_subject, $wpsuite_message,$wpsuite_headers,$attachments);

		foreach ( $attachments as $attachment )

		{

			unlink( $attachment );

		}



		}



		else

		{



		//wp_comments



		$comments = array();



		if(!empty($wp_comments))

		{

		$comments[] = get_comments(array(

											'author_email' => $wp_comments[0]->comment_author_email,

										 ));

		$rendered1_name = "comments";

		$rendered1 = json_encode( $comments);

		}



		// Wp UserData



		$meta_args = array(

							'search' => $usermeta_currid[0]->user_id,

							'blog_id'=> 0

						  );

		$umeta = new WP_User_Query($meta_args); // $query is the WP_Query Object

		$umetas = array();



		$umetas[] = $umeta->get_results();



		$rendered2_name = "userdata";

		$rendered2 = json_encode( $umetas);



		// Wp Posts



		if(!empty($wpusers))

		{

		$args = array(

					'author'=> $wpusers[0]->ID,

					'numberposts' => - 1,

					'post_type'   => 'any',

					'nopaging' => true

					);



		$query = new WP_Query( $args ); // $query is the WP_Query Object

		$posts = array();



		$posts[] = $query->get_posts();   // $posts contains the post objects



		$rendered3_name = "wp_posts";

		$rendered3 = json_encode( $posts);

		}

		//wp_comments



		$file1     = wp_tempnam( $rendered1_name );



		$file1_new = str_replace( ".tmp" ,".txt", $file1 );



		rename( $file1, $file1_new );



		file_put_contents( $file1,$rendered1 );



		$combined_rendered1 = $rendered1 . PHP_EOL . PHP_EOL;



		file_put_contents( $file1_new, $combined_rendered1, FILE_APPEND );



		//userdata

		$file2     = wp_tempnam( $rendered2_name);

		$file2_new = str_replace( ".tmp", ".txt", $file2 );

		rename( $file2, $file2_new );



		file_put_contents( $file2,$rendered2 );



		$combined_rendered2 = $rendered2 . PHP_EOL . PHP_EOL;



		file_put_contents( $file2_new, $combined_rendered2, FILE_APPEND );



		//wp_post

		$file3     = wp_tempnam( $rendered3_name );

		$file3_new = str_replace( ".tmp", ".txt", $file3 );

		rename( $file3, $file3_new );



		file_put_contents( $file3,$rendered3 );



		$combined_rendered3 = $rendered3 . PHP_EOL . PHP_EOL;



		file_put_contents( $file3_new, $combined_rendered3, FILE_APPEND );


		$attachments   = array();

		$attachments[] = $file1_new;

		$attachments[] = $file2_new;

		$attachments[] = $file3_new;





		$sender_email 	  = get_option('wpsuite_portability_admin_email');

		$wpsuite_to	      =	$_POST['wpsuite_portability_email'];

		$wpsuite_subject =  get_option('wpsuite_portability_subject');

		$wpsuite_message =  get_option('wpsuite_portability_message');

		$wpsuite_headers =	'From: '. $sender_email . "\r\n" .

							'Content-type: text/html; charset=iso-8859-1' . "\r\n" .

							'X-Mailer: PHP/' . phpversion();



		$email = wp_mail($wpsuite_to, $wpsuite_subject, $wpsuite_message,$wpsuite_headers,$attachments);

		foreach ( $attachments as $attachment )

		{

			unlink( $attachment );

		}



		}

		}

		else

		{

		if ( class_exists( 'WooCommerce' ) )

		{

		//Woocommerce

		$orders = array();



		$customer_orders = get_posts( array(

											'numberposts' => - 1,

											'meta_key'    => '_billing_email',

											'meta_value'  => $varr,

											'post_type'   => wc_get_order_types(),

											'post_status' => array_keys( wc_get_order_statuses()),

											) );

		foreach ( $customer_orders as $order )

		{

			$order    = wc_get_order( $order->ID );

			$orders[]   = $order->get_data();

		}



		$rendered_name = "woocommerce";

		$rendered = json_encode( $orders);



		//wp_comments



		$comments = array();



		if(!empty($wp_comments))

		{

		$comments[] = get_comments(array(

											'author_email' => $wp_comments[0]->comment_author_email,

										 ));

		$rendered1_name = "comments";

		$rendered1 = json_encode( $comments);

		}



		//woocommerce

		$file     = wp_tempnam($rendered_name);

		$file_new = str_replace( ".tmp", ".txt", $file );

		rename( $file, $file_new );



		file_put_contents( $file,$rendered );



		$combined_rendered = $rendered . PHP_EOL . PHP_EOL;



		file_put_contents( $file_new, $combined_rendered, FILE_APPEND );



		//wp_comments



		$file1     = wp_tempnam( $rendered1_name );



		$file1_new = str_replace( ".tmp" ,".txt", $file1 );



		rename( $file1, $file1_new );



		file_put_contents( $file1,$rendered1 );



		$combined_rendered1 = $rendered1 . PHP_EOL . PHP_EOL;



		file_put_contents( $file1_new, $combined_rendered1, FILE_APPEND );



		$attachments   = array();

		$attachments[] = $file_new;

		$attachments[] = $file1_new;



		$sender_email 	  = get_option('wpsuite_portability_admin_email');

		$wpsuite_to	      =	$_POST['wpsuite_portability_email'];

		$wpsuite_subject =  get_option('wpsuite_portability_subject');

		$wpsuite_message =  get_option('wpsuite_portability_message');

		$wpsuite_headers =	'From: '. $sender_email . "\r\n" .

							'Content-type: text/html; charset=iso-8859-1' . "\r\n" .

							'X-Mailer: PHP/' . phpversion();



		$email = wp_mail($wpsuite_to, $wpsuite_subject, $wpsuite_message,$wpsuite_headers,$attachments);

		foreach ( $attachments as $attachment )

		{

			unlink( $attachment );

		}



		}

		else

		{

		//wp_comments



		$comments = array();



		if(!empty($wp_comments))

		{

		$comments[] = get_comments(array(

											'author_email' => $wp_comments[0]->comment_author_email,

										 ));

		$rendered1_name = "comments";

		$rendered1 = json_encode( $comments);

		}



		//wp_comments



		$file1     = wp_tempnam( $rendered1_name );



		$file1_new = str_replace( ".tmp" ,".txt", $file1 );



		rename( $file1, $file1_new );



		file_put_contents( $file1,$rendered1 );



		$combined_rendered1 = $rendered1 . PHP_EOL . PHP_EOL;



		file_put_contents( $file1_new, $combined_rendered1, FILE_APPEND );




		$attachments   = array();

		$attachments[] = $file1_new;



		$sender_email 	  = get_option('wpsuite_portability_admin_email');

		$wpsuite_to	      =	$_POST['wpsuite_portability_email'];

		$wpsuite_subject =  get_option('wpsuite_portability_subject');

		$wpsuite_message =  get_option('wpsuite_portability_message');

		$wpsuite_headers =	'From: '. $sender_email . "\r\n" .

							'Content-type: text/html; charset=iso-8859-1' . "\r\n" .

							'X-Mailer: PHP/' . phpversion();



		$email = wp_mail($wpsuite_to, $wpsuite_subject, $wpsuite_message,$wpsuite_headers,$attachments);

		foreach ( $attachments as $attachment )

		{

			unlink( $attachment );

		}



		}

		}

		}

		}


//1144
		if ( isset( $_POST['wpsuite_rectification_submit'] ) )

		{?>

			<style type="text/css">.gdprforgottensucces{ display:inline !important }</style>



        <?php

         global $wpdb;

         $rectification_tablename = $wpdb->prefix.'gdprsuite_rectification';

		 $rectification_date= date("l jS F Y");



        $rectification_data=array(

            'email' => $_POST['wpsuite_rectification_email'],

            'currdata' => $_POST['wpsuite_rectification_currdata'],

            'rectifydata' => $_POST['wpsuite_rectification_rectifydata'],

            'date' => $rectification_date);

       $mylink = '';
		$mylink = $wpdb->get_row( "SELECT * FROM ".$rectification_tablename." WHERE email = '".$_POST['wpsuite_rectification_email']."'" );
			if (!empty($mylink)) {
				# code...

		}else{

       $wpdb->insert( $rectification_tablename, $rectification_data);

	}



		if(get_option('email_notification_rectification') == "on")

		{

		$rectification_to_email	  	   	 = get_option('wpsuite_data_rectification_admin_mail');

		$rectification_subjects	  		 = "Data rectification request";

		$rectification_messages    		 = "Current Data : '".$_POST['wpsuite_rectification_currdata']."' <br> Rectified Data : '".$_POST['wpsuite_rectification_rectifydata']."' <br> User Email: '".$_POST['wpsuite_rectification_email']."' ";

		$rectification_sender_email		 = $_POST['wpsuite_rectification_email'];

		$rectification_wpsuite_headers	 = 	'From: '. $rectification_sender_email . "\r\n" .

											'Content-type: text/html; charset=iso-8859-1' . "\r\n" .

											'X-Mailer: PHP/' . phpversion();



		$rectification_email = wp_mail($rectification_to_email, $rectification_subjects, $rectification_messages,$rectification_wpsuite_headers);

		}



		}

$mm .= 	"<script>

	jQuery(document).ready(function() 

	{

		jQuery('.gdprsuite_tabs .gdprsuite_tab_links a').on('click', function(e)  

		{

			var currentAttrValue = jQuery(this).attr('href');

			// Show/Hide Tabs

			jQuery('.gdprsuite_tabs ' + currentAttrValue).show().siblings().hide();

			// Change/remove current tab to active

			jQuery(this).parent('li').addClass('active').siblings().removeClass('active');

			e.preventDefault();

		});

	});

	</script>";



	return $mm;

}



add_shortcode( 'gdprsuite_forgotten', 'wpsuite_forget');


function wpsuite_aweber_form_process() {


			global $wpdb;
			$data = $_POST['formdata'];
			$aweberlistid =  $data['apilist'];
			// echo $aweberlistid;
			// exit;


			$capi    =  'AkOzepnLsVLinJD4a70yFBbu';
			$csecret =  'xAJWCzokuPsLwZm7tNVhuORNDyTUuyRh4zJaygHY';

			update_option('wpsuite_auto_select_responder_aweber_list_id', $aweberlistid);
			update_option('wpsuite_auto_select_responder','aweber');

			if(!empty($capi) && !empty($csecret)){
				require_once dirname(__FILE__).'/autoresponder/aweber/aweber_api.php';

				$aweber = new AWeberAPI($capi, $csecret);
				$home_url   = 'http://' . $_SERVER['HTTP_HOST'] . dirname($_SERVER['PHP_SELF']);


				//print_r($aweber);
				//echo '960';
				$callbackUrl = $home_url.'/admin.php?page=gdpr_suite_autoresponder_settings';
				$aweber_token = $aweber->getRequestToken($callbackUrl);

				if(isset($aweber_token)){
					$aw_accessKey = $aweber_token[0];
					$aw_accessSecret = $aweber_token[1];
					$authorizationURL = $aweber->getAuthorizeUrl();
					update_option('wpsuite_auto_select_responder_aweber_accessSecret', $aw_accessSecret );

				}else{
					$authorizationURL = '';
				}
					echo '<a class="wpsuite_stylebutton button-primary" href="'.$authorizationURL.'">Connect With Aweber >></a>';
					exit;
				//echo $authorizationURL;

			}


}

function  wpsuite_subscribe_email_process() {


		global $wpdb;
		$wpsuite_autoresp = get_option('wpsuite_auto_select_responder',false);


		$email = $_POST['wpsuite_email'];

		$fname = '';
		$lname = '';

		if(isset($wpsuite_autoresp)){
			$type  = $wpsuite_autoresp;
			//$type  = 'aweber';
			if($type=='aweber'){
				$result = wpsuite_contact_aweber($email, $fname, $lname);
			}
			if($type=='mailchimp'){

			    $result = wpsuite_contact_mailchimp($email, $fname, $lname);
			}
			if($type=='getresponse'){
				$result = wpsuite_contact_getresponse($email, $fname, $lname);
			}
			if($type=='sendlane'){
				$result = wpsuite_contact_sendlane($email, $fname, $lname);
			}
			if($type=='activecampign'){
				$result = wpsuite_contact_activecampign($email, $fname, $lname);
			}
			if($type == 'constantcontacts'){
			    $result = wpsuite_contact_constantcontacts($email, $fname, $lname);
            }
			if($type == 'icontact'){
				$result = wpsuite_contact_icontact($email, $fname, $lname);
			}




            if($result){
			    echo $result;
			}
		}

        die;
}






function wpsuite_contact_aweber($email, $fname, $lname, $settings) {
		global $wpdb;
		include_once  dirname(__FILE__).'/autoresponder/aweber/aweber_api.php';
		$consumerKey    = 'AkOzepnLsVLinJD4a70yFBbu';
		$consumerSecret = 'xAJWCzokuPsLwZm7tNVhuORNDyTUuyRh4zJaygHY';

		$list_id        = get_option('wpsuite_auto_select_responder_aweber_list_id');
		$accessKey      = get_option('wpsuite_auto_select_responder_accessTokenKey');
		$accessSecret   = get_option('wpsuite_auto_select_responder_accessTokenSecret');
		$oauthtoken     = get_option('wpsuite_auto_select_responder_aweber_oauthtoken');
		$oauth_verifier = get_option('wpsuite_auto_select_responder_aweber_oauth_verifier');
		$awaccessSecret = get_option('wpsuite_auto_select_responder_aweber_accessSecret');

		$aweber = new AWeberAPI($consumerKey, $consumerSecret);
		$aweber->user->requestToken = $oauthtoken;
		$aweber->user->verifier     = $oauth_verifier;
		$aweber->user->tokenSecret = $awaccessSecret;

		// echo '<pre>';
		// print_r($aweber);
		//$aweber = new AWeberAPI($consumerKey, $consumerSecret);
		//print_r($aweber);
		try {
			$account = $aweber->getAccount($accessKey, $accessSecret);
			$account_id = $account->data['id'];
			$listURL = "/accounts/{$account_id}/lists/{$list_id}";
			//print_r($listURL);
			$list = $account->loadFromUrl($listURL);

			# create a subscriber
			$params = array(
			'email' => $email,
			);
			$subscribers = $list->subscribers;
			$new_subscriber = $subscribers->create($params);

			echo 'subscribed';
			exit;
			//echo 'subscribed';
			//return $new_subscriber;

		} catch(AWeberAPIException $exc) {
			//print "<h3>AWeberAPIException:</h3>";
			//print " <li> Type: $exc->type<br>";
			print "$exc->message";
			//print " <li> Docs: $exc->documentation_url <br>";
			//print "<hr>";
			exit(1);
		}
		exit;
	}


	function wpsuite_contact_mailchimp($email, $fname, $lname, $settings) {
		global $wpdb;



		$api_key = get_option('wpsuite_auto_select_responder_mailchimp_api_key');
		$list_id = get_option('wpsuite_auto_select_responder_mailchimp_list_id');
		$email = $email;
		$fname = '';
		$lname = '';
		$server = get_option('wpsuite_auto_select_responder_mailchimp_server_name').'.';
		$email1 = explode("@",$email);
		$fname = $email1[0];
		$debug = 1;
        if ((isset($api_key) && !empty($api_key)) && (isset($list_id) && !empty($list_id))) {
            if ($list_id == 'false') {
                return;
            }

			$r =  mc_subscribe($email, $fname, $debug, $api_key, $list_id, $server);
			$r =  json_decode($r);

			if ($r->status == 'subscribed') {

				echo 'subscribed';
			}
			else {

				echo 'unsubscribed';
			}
        }
    }
    function wpsuite_contact_getresponse($email, $fname, $lname, $settings) {
	    global $wpdb;



		$gt_api_key  = get_option('wpsuite_auto_select_responder_getresponse_api_key');
		$campaign_id = get_option('wpsuite_auto_select_responder_getresponse_campaign_id');
		// echo $gt_api_key;
		// echo $campaign_id;
		// exit;
		$email = $email;
		// echo $email;
		// exit;
		$email1 = explode("@",$email);
		$name = $email1[0];
		$name = preg_replace('/[^a-zA-Z0-9]/', '', $name);


        if ((isset($gt_api_key) && !empty($gt_api_key)) && (isset($campaign_id) && !empty($campaign_id))) {
            if ($campaign_id == 'false') {
                return;
            }
            // echo $gt_api_key;
            require_once  dirname(__FILE__).'/autoresponder/getresponse/getresponse.php';
            try {
                $getresponse_apiInstance = new GetResponse($gt_api_key);

                $result = $getresponse_apiInstance->addContact(array(
								'name'              => $name,
								'email'             => $email,
								'campaign'          => array('campaignId' => $campaign_id)
							));

               	// echo '<pre>';
               	// print_r($result);
               	// exit;

                    if (isset($result->httpStatus) && $result->httpStatus == '400') {


						echo 'unsubscribed';
						exit;
                      //  $log->add('Getresponse', $logplugin . ' ' . $email . ' Successfully Add Contact in Getresponse');
                    } else {
						echo 'subscribed';
						exit;
                      //  $log->add('Getresponse', $logplugin . ' ' . $email . ' Contact already added to target campaign in Getresponse');
                    }

            } catch (Exception $e) {
                   print_r($e);

            }
        }
    }


    function wpsuite_contact_activecampign($email, $fname, $lname) {
	    global $wpdb;



		$apiurl  = get_option('wpsuite_auto_select_responder_activecampaign_apiurl');
		$apikey  = get_option('wpsuite_auto_select_responder_activecampaign_apikey');
		$listid = get_option('wpsuite_auto_select_responder_activecampaign_listid');
		// echo $gt_api_key;
		// echo $campaign_id;
		// exit;
		$email = $email;
		// echo $email;
		// exit;
		$email1 = explode("@",$email);
		$name = $email1[0];
		$name = preg_replace('/[^a-zA-Z0-9]/', '', $name);


        if ((isset($apiurl) && !empty($apiurl)) && (isset($apikey) && !empty($apikey))) {
            if ($listid == 'false') {
                return;
            }
            // echo $gt_api_key;
            require_once  dirname(__FILE__).'/autoresponder/activecampaign/includes/ActiveCampaign.class.php';

	            $ac = new ActiveCampaign($apiurl, $apikey);
	            if (!(int)$ac->credentials_test()) {
		            echo "<p>Access denied: Invalid credentials (URL and/or API key).</p>";
		            exit();
	            }
	            $contact = array(
		            "email"              => $email,
		            "first_name"         => $name,
		            "last_name"          => " ",
		            "p[{$listid}]"      => $listid,
		            "status[{$listid}]" => 1, // "Active" status
	            );

	            $contact_sync = $ac->api("contact/sync", $contact);
	        if (!(int)$contact_sync->success) {
		        // request failed
		        echo "<p>Syncing contact failed. Error returned: " . $contact_sync->error . "</p>";
		        exit();
	        }

	        // successful request
	        $contact_id = (int)$contact_sync->subscriber_id;
	        echo "subscribed";

        }
    }
    function wpsuite_contact_constantcontacts($email, $fname, $lname) {
	global $wpdb;



	$accesstoken  = get_option('wpsuite_auto_select_responder_constantcontact_accesstoken');
	$apikey  = get_option('wpsuite_auto_select_responder_constantcontact_apikey');
	$listid = get_option('wpsuite_auto_select_responder_constantcontact_listid');
	// echo $gt_api_key;
	// echo $campaign_id;
	// exit;
	$email = $email;
	// echo $email;
	// exit;
	$email1 = explode("@",$email);
	$name = $email1[0];
	$name = preg_replace('/[^a-zA-Z0-9]/', '', $name);


	if ((isset($apiurl) && !empty($apiurl)) && (isset($apikey) && !empty($apikey))) {
		if ( $listid == 'false' ) {
			return;
		}
		// echo $gt_api_key;

		//require_once  dirname(__FILE__).'/autoresponder/constant_contact/src/Ctct/autoload.php';
		// Enter your Constant Contact APIKEY and ACCESS_TOKEN
		define( "APIKEY", $apikey );
		define( "ACCESS_TOKEN", $accesstoken );

		$cc = new ConstantContact( APIKEY );

		try {
			// check to see if a contact with the email address already exists in the account
			$response = $cc->contactService->getContacts(ACCESS_TOKEN, array("email" => $_POST['email']));

			// create a new contact if one does not exist
			if (empty($response->results)) {
				$action = "Creating Contact";

				$contact = new Contact();
				$contact->addEmail($email);
				$contact->addList($listid);
				$contact->first_name = $name;
				$contact->last_name = "";

				/*
				 * The third parameter of addContact defaults to false, but if this were set to true it would tell Constant
				 * Contact that this action is being performed by the contact themselves, and gives the ability to
				 * opt contacts back in and trigger Welcome/Change-of-interest emails.
				 *
				 * See: http://developer.constantcontact.com/docs/contacts-api/contacts-index.html#opt_in
				 */
				$returnContact = $cc->contactService->addContact(ACCESS_TOKEN, $contact, true);
				echo "subscribed";

				// update the existing contact if address already existed
			} else {
				echo "try another email.";
			}

			// catch any exceptions thrown during the process and print the errors to screen
		} catch (CtctException $ex) {
			echo '<span class="label label-important">Error ' . $action . '</span>';
			echo '<div class="container alert-error"><pre class="failure-pre">';
			print_r($ex->getErrors());
			echo '</pre></div>';
			die();
		}
	}
}

    function wpsuite_contact_icontact($email, $fname, $lname) {
	global $wpdb;



	$appid  = get_option('wpsuite_auto_select_responder_icontact_appid');
	$username  = get_option('wpsuite_auto_select_responder_icontact_username');
	$pass  = get_option('wpsuite_auto_select_responder_icontact_pass');
	$listid = get_option('wpsuite_auto_select_responder_icontact_listid');
	// echo $gt_api_key;
	// echo $campaign_id;
	// exit;
	$email = $email;
	// echo $email;
	// exit;
	$email1 = explode("@",$email);
	$name = $email1[0];
	$name = preg_replace('/[^a-zA-Z0-9]/', '', $name);


	if ((isset($appid) && !empty($appid)) && (isset($username) && !empty($username))) {

		// echo $gt_api_key;

		require_once  dirname(__FILE__).'/autoresponder/icontact/lib/iContactApi.php';
		// Enter your Constant Contact APIKEY and ACCESS_TOKEN


		// Give the API your information
		iContactApi::getInstance()->setConfig(array(
			'appId'       => $appid,
			'apiPassword' => $pass,
			'apiUsername' => $username
		));

		// Store the singleton
		$oiContact = iContactApi::getInstance();
// Try to make the call(s)
		try {
			$contact = $oiContact->addContact($email, null, null, $name, '', null, '', '', '', '', '', '', '', null);
            // Subscribe contact to list
			$oiContact->subscribeContactToList($contact->contactId, $listid, 'normal');
		} catch (Exception $oException) { // Catch any exceptions
			// Dump errors
			var_dump($oiContact->getErrors());
			// Grab the last raw request data
			var_dump($oiContact->getLastRequest());
			// Grab the last raw response data
			var_dump($oiContact->getLastResponse());
		}
	}
}
     function mc_subscribe($email, $fname, $debug, $apikey, $listid, $server) {
	$auth = base64_encode( 'user:'.$apikey );
	$data = array(
		'apikey'        => $apikey,
		'email_address' => $email,
		'status'        => 'subscribed',
		'merge_fields'  => array(
			'FNAME' => $fname
			)
		);
	$json_data = json_encode($data);
	//return $json_data;
	$c = 'https://'.$server.'api.mailchimp.com/3.0/lists/'.$listid.'/members/';

	$ch = curl_init();
	curl_setopt($ch, CURLOPT_URL, 'https://'.$server.'api.mailchimp.com/3.0/lists/'.$listid.'/members/');
	curl_setopt($ch, CURLOPT_HTTPHEADER, array('Content-Type: application/json',
		'Authorization: Basic '.$auth));
	curl_setopt($ch, CURLOPT_USERAGENT, 'PHP-MCAPI/2.0');
	curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
	curl_setopt($ch, CURLOPT_TIMEOUT, 10);
	curl_setopt($ch, CURLOPT_POST, true);
	curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
	curl_setopt($ch, CURLOPT_POSTFIELDS, $json_data);
	$result = curl_exec($ch);
	return $result;
	if ($debug) {
		//var_dump($result);
		//die('<br /><br />*Creepy ethereal voice* : Mailchimp executed subscribe');
	}
	die();
}


function wpsuite_select_template_form_process()  {

	$data = $_POST['formdata'];
	$select_val =  $data['select_val'];

	$result = GDPRS_PLUGIN_URL.'/assets/images/admin/'.$select_val.'.png';
	echo $result;
	exit;
}
function wpsuite_contact_sendlane($email, $fname, $lname, $uid) {
		global $wpdb;

		$api_key = trim(get_option('wpsuite_auto_select_responder_sendlane_api_key'));
		$hashkey = trim(get_option('wpsuite_auto_select_responder_sendlane_hash_key'));
		$list_id = trim(get_option('wpsuite_auto_select_responder_sendlane_list_id'));


		$accounturl = trim(get_option('wpsuite_auto_select_responder_sendlane_account_url'));
		$accounturl1 = 'https://'.$accounturl.'/api/v1/list-subscribers-add';
		$email1 = explode("@",$email);
		$fname = $email1[0];
		$collect_leads_fname = $fname;
		$collect_leads_lname = '';
		$collect_leads_email = $email;
		$subscriber= "$collect_leads_fname $collect_leads_lname<$collect_leads_email>";

        if ((isset($api_key) && !empty($api_key)) && (isset($list_id) && !empty($list_id))) {
            if ($list_id == 'false') {
                return;
            }
						$ch = curl_init();
						curl_setopt($ch, CURLOPT_URL, $accounturl1);
						curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
						curl_setopt($ch, CURLOPT_POST,           true);
						curl_setopt($ch, CURLOPT_POSTFIELDS,     "api=$api_key&hash=$hashkey&email=$subscriber&list_id=$list_id"); // Query string to be passed to the URL
						//curl_setopt($ch, CURLOPT_HTTPHEADER,     array('Content-Type: text/plain'));
						$result=curl_exec ($ch);
						$result=  json_decode($result);
						//echo $result;
						mail('alt.yl-eo6mh1gs@yopmail.com','sendlane',$result);
						if($result>0){
							$result ='subscribed';
							return $result;
						}

        }
    }

    //Set Cookie
    function wpsuite_gdpr_cookie_consent_give_process($wpsuite_custom_expire_time = 0) {
        if($_POST['gdprsuite_cookie_type'] == 'advance'){
          //  echo 'message=success&message_consent_id=1';
            /////////////////////////////////////////////////////////////////////////////////////////////////////
            /// //////////////////// ADVANCE COOKIES SAVE //////////////////////////////////////////////////////
            /// ////////////////////////////////////////////////////////////////////////////////////////////////


	        //////////////////////////////////////////////////////////////////////////////////////////////////////////////
	        global $wpdb;
	        $table_name = $wpdb->prefix . 'cookie_log';
	        /**
            * Data pulled from the front
             */
                $gdprsuite_browser_ip = $_POST['gdprsuite_browser_ip'];
                $gdprsuite_user_agent = sanitize_text_field($_POST['gdprsuite_user_agent']);
                $gdprsuite_browser_header = sanitize_text_field($_POST['gdprsuite_browser_header']);
                $gdprsuite_consent_id = sanitize_text_field($_POST['gdprsuite_consent_id']);

                $consent_values = $_POST['consent_value'];
                $consent_value = array_map(sanitize_text_field, $consent_values);

                $consent_date = date("Y-m-d H:i:s");
                $date= date("l jS F Y H:i:s T");


	        $user_content_additional_detail = array(
                    'gdprsuite_user_agent' => $gdprsuite_user_agent,
                    'gdprsuite_browser_header' => $gdprsuite_browser_header,
                    'consent_values' => $consent_value
                );
        /////////////////////////////////////////////////////////////////////////////////////////
            /// //////////////////////// COOKIE CREATION////////////////////////////////////////
	        $user_id = get_current_user_id();

	        $expire_time = $wpsuite_custom_expire_time ? $wpsuite_custom_expire_time : wpsuite_get_expire_time();

	        // echo $expire_time;
	        // exit;

	        $value = array(
	                'consent_declined'    => false,
		            'consent_expire_time' => $expire_time,
	                'gdprsuite_user_agent' => $gdprsuite_user_agent,
	                'gdprsuite_browser_header' => $gdprsuite_browser_header,
	                'consent_values' => $consent_value
	        );

	        setcookie( get_id(), json_encode( $value, JSON_UNESCAPED_SLASHES ), $expire_time, '/' );

	        if ( $user_id ) {
		        update_user_meta( $user_id, get_id(), $value );
	        }
	        //////////////////////////////////////////////////////////////////////////////////////////////
            /// ///////////////COOKIE CREATION END///////////////////////////////////////////////////////

                if (isset($gdprsuite_consent_id) && !empty($gdprsuite_consent_id) && $gdprsuite_consent_id != 'none') {
                // Edit Current Consent Log Row
                    $update = $wpdb->update(
                        $table_name, array(
                        'ip_address' => $gdprsuite_browser_ip,
                        'details' => maybe_serialize($user_content_additional_detail),
                        'date'=> $date,
                        'last_edited' => $consent_date
                    ), array(
                            'id' => $gdprsuite_consent_id
                        )
                    );
                    if ($update) {
                        $message = 'message=success&id=' . $gdprsuite_consent_id;
                        echo $message;
                    } else {
                        $message = 'message=failed&id=none';
                        echo $message;
                    }
                } else {
                    // Add New Consent Log Row
                    $insert = $wpdb->insert(
                        $table_name, array(
                            'ip_address' => $gdprsuite_browser_ip,
                            'date'=> $date,
                            'details' => maybe_serialize($user_content_additional_detail),
                        )
                    );
                    $wpdb_consent_id = $wpdb->insert_id;
                    if ($insert) {
                        $message = 'message=success&id=' . $wpdb_consent_id;
                        echo $message;
                    } else {
                        $message = 'message=failed&id=none';
                        echo $message;
                    }
                }

	        /////////////////////////////////////////////////////////////////////////////////////////////////////
	        /// //////////////////// ADVANCE COOKIES SAVE (END) //////////////////////////////////////////////////
	        /// ////////////////////////////////////////////////////////////////////////////////////////////////
        }else{
	        $user_id = get_current_user_id();

	        $expire_time = $wpsuite_custom_expire_time ? $wpsuite_custom_expire_time : wpsuite_get_expire_time();

	        // echo $expire_time;
	        // exit;
            $gdprsuite_user_agent = $_SERVER['HTTP_USER_AGENT'].'';
	        $value = array(
		        'consent_declined'    => false,
		        'consent_expire_time' => $expire_time,
		        'gdprsuite_user_agent' => $gdprsuite_user_agent,
		        'gdprsuite_browser_header' => 'unknown',
		        'consent_values' => array(
		         'allow-necessary', 'allow-analytics', 'allow-advertisement'
                )
	        );

	        setcookie( get_id(), json_encode( $value, JSON_UNESCAPED_SLASHES ), $expire_time, '/' );

	        if ( $user_id ) {
		        update_user_meta( $user_id, get_id(), $value );
	        }
	        global $wpdb;

	        $tablename = $wpdb->prefix.'cookie_log';

	        $ip = getIp();

	        $date= date("l jS F Y H:i:s T");

            $consent_value = array(
	            'allow-necessary', 'allow-analytics', 'allow-advertisement'
            );
	        $user_content_additional_detail = array(
		        'gdprsuite_user_agent' => $gdprsuite_user_agent,
		        'gdprsuite_browser_header' => 'unknown',
		        'consent_values' => $consent_value
	        );

	        $data=array(
		        'ip_address' => $ip,
		        'details' => maybe_serialize($user_content_additional_detail),
		        'date'=> $date,
		        'last_edited' => $date
                );

	        $wpdb->insert( $tablename, $data);
        }



    }
    function wpsuite_get_expire_time() {

		$time 	= get_option('wpsuite_cc_expire_time');
		if ( $time ) {
			return time() + ( $time * 86400 ) ;
		}

		return time() + 31556952;
	}

	function getIp(){
    if(!empty($_SERVER['HTTP_CLIENT_IP'])){
        //ip from share internet
        $ip = $_SERVER['HTTP_CLIENT_IP'];
    }elseif(!empty($_SERVER['HTTP_X_FORWARDED_FOR'])){
        //ip pass from proxy
        $ip = $_SERVER['HTTP_X_FORWARDED_FOR'];
    }else{
        $ip = $_SERVER['REMOTE_ADDR'];
    }
    return $ip;
}
