<?php
/*
Plugin Name: GDPR-Suite pro - Whitelable
Plugin URI: https://gdpr-suite.com
Description: Most Up-To-Date Privacy Management WP Plugin To Operationalize EU-GDPR Compliance
Version: 2.0
Text Domain: gdpr_suite
Author : GDPR-Suite
Author URI: https://gdpr-suite.com
*/
if ( ! defined( 'ABSPATH' ) ){
	exit; // Exit if accessed this file directly
}


	if (!defined('GDPRS_PLUGIN_URL')) {

        define('GDPRS_PLUGIN_URL', plugin_dir_url(__FILE__));
    }

	
	
    if (!defined('WPSUITE_GDPR_PLUGIN_NAME')) {
		define('WPSUITE_GDPR_PLUGIN_NAME', plugin_basename(__FILE__));
	}
    register_activation_hook( __FILE__, 'wpsuite_plugin_database_forget' ); 
    register_activation_hook( __FILE__, 'wpsuite_plugin_database_portability' );
    register_activation_hook( __FILE__, 'wpsuite_plugin_database_rectification' );
    register_activation_hook( __FILE__, 'wpsuite_plugin_database_cookie_log' );
		register_activation_hook( __FILE__, 'wpsuite_plugin_database_cookie_settings' );

    const DOMAIN = 'gdpr_suite';

    	add_action('admin_menu',  'WPSUITE_GDPR_add_menu');


		add_action( 'plugins_loaded', 'gdprsuite_load_textdomain');


	
				require_once( plugin_dir_path( __FILE__ ) . 'functions.php' );

    function WPSUITE_GDPR_add_menu() {



			add_menu_page('GDPR Suite', __( 'GDPR-Suite', 'gdpr_suite' ), 'manage_options', 'gdpr_suite', '_gdpr_suite', plugin_dir_url( __FILE__ ) . 'assets/images/icon.ico');	
		
			add_submenu_page('gdpr_suite','Add Cookie Consent', __( 'Cookie Consent', 'gdpr_suite' ), 'manage_options','customcookie','_gdpr_suite_cc');
			add_submenu_page('gdpr_suite','Advanced Cookies', __( 'Advanced Cookies', 'gdpr_suite' ), 'manage_options','gdpr_advance_cookies','_gdpr_advance_cookies');

			add_submenu_page('gdpr_suite','Plugins Integration', __( 'Plugins Integration', 'gdpr_suite' ), 'manage_options','gdpr_thirdparty','_gdpr_thirdparty');
			add_submenu_page('gdpr_suite','Add Policy Consent', __( 'Privacy Policy', 'gdpr_suite' ), 'manage_options','gapr_suite_policy','_gdpr_suite_policy');
			add_submenu_page('gdpr_suite','Add Terms Consent', __( 'Terms And Conditions', 'gdpr_suite' ), 'manage_options','gapr_suite_terms','_gdpr_suite_terms');
			add_submenu_page('gdpr_suite','Right to Forget', __( 'Right to Forget', 'gdpr_suite' ), 'manage_options','gapr_suite_righttoforget','_gdpr_suite_forgot');
			add_submenu_page('gdpr_suite','Data Request', __( 'Data Request', 'gdpr_suite' ), 'manage_options','gapr_suite_datarequest','_gdpr_suite_portability');
			add_submenu_page('gdpr_suite','Data Breach', __( 'Data Breach', 'gdpr_suite' ), 'manage_options','gapr_suite_data_breach','_gdpr_suite_data_breach');
			add_submenu_page('gdpr_suite',' Data Rectification ', __( 'Data Rectification', 'gdpr_suite' ), 'manage_options','gapr_suite_datarectification','_gdpr_suite_rectification');
			add_submenu_page('gdpr_suite',' Cookie Consent log ', __( 'Cookie Consent log', 'gdpr_suite' ), 'manage_options','gapr_suite_cookieconsentlog','_gdpr_suite_cookieconsentlog');
			add_submenu_page('gdpr_suite','Autoresponder Settings', __( 'AutoResponder Settings', 'gdpr_suite' ), 'manage_options','gdpr_suite_autoresponder_settings','_gdpr_suite_autoresponder_settings');
			add_submenu_page('gdpr_suite','Default Button', __( 'Default Button', 'gdpr_suite' ), 'manage_options','gdpr_suite_default_btn_settings','_gdpr_suite_default_btn_settings');


	}


			function _gdpr_suite()
			{
				include_once( plugin_dir_path( __FILE__ ) . '/includes/gdpr_suite_inst.php' );
			}
			
		  	function _gdpr_suite_cc()
			{
				include_once( plugin_dir_path( __FILE__ ) . '/includes/gdpr_suite_cookie_consent.php' );
			}


            function _gdpr_thirdparty()
                {
                    include_once( plugin_dir_path( __FILE__ ) . '/includes/gdpr_suite_thirdparty.php' );
                }

            function _gdpr_suite_terms()
			{
				include_once( plugin_dir_path( __FILE__ ) . '/includes/gdpr_suite_terms_consent.php' );
			}
			function _gdpr_advance_cookies(){
				include_once( plugin_dir_path( __FILE__ ) . '/includes/advance_cookies.php' );

			}

		  	function _gdpr_suite_policy()
			{
				include_once( plugin_dir_path( __FILE__ ) . '/includes/gdpr_suite_policy_consent.php' );
			}

		  	function _gdpr_suite_data_breach()
			{
				include_once( plugin_dir_path( __FILE__ ) . '/includes/gdpr_suite_data_breach.php' );
			}

			function _gdpr_suite_forgot()
			{
				include_once( plugin_dir_path( __FILE__ ) . '/includes/gdpr_suite_forgotback.php' );
			}

		  	function _gdpr_suite_portability()
			{
				include_once( plugin_dir_path( __FILE__ ) . '/includes/gdpr_suite_portability.php' );
			}

		  	function _gdpr_suite_data_access()
			{
				include_once( plugin_dir_path( __FILE__ ) . '/includes/gdpr_suite_portability_json.php' );
			}

		  	function _gdpr_suite_rectification()
			{
				include_once( plugin_dir_path( __FILE__ ) . '/includes/gdpr_suite_rectification.php' );
			}

		  	function _gdpr_suite_cookieconsentlog()
			{
				include_once( plugin_dir_path( __FILE__ ) . '/includes/gdpr_suite_cookie_consent_log.php' );
			}

			function _gdpr_suite_autoresponder_settings() {

				include_once( plugin_dir_path( __FILE__ ) . '/includes/gdpr_suite_autoresponder_settings.php' );
			}
			
			function _gdpr_suite_help() {
					
					include_once( plugin_dir_path( __FILE__ ) . '/includes/gdpr_suite_help.php' );
			}
			function _gdpr_suite_default_btn_settings(){
				include_once( plugin_dir_path( __FILE__ ) . '/includes/gdpr_suite_policy_btn.php' );

			}

			add_action( 'admin_init', function() 
			{
			    register_setting( 'GDPR-Suite-cc', 'wpsuite_cc_content' );
						register_setting( 'GDPR-Suite-cc', 'wpsuite_cc_display_cookie' );
						register_setting( 'GDPR-Suite-cc', 'wpsuite_cc_select_post' );
						register_setting( 'GDPR-Suite-cc', 'wpsuite_cc_select_posts' );
						register_setting( 'GDPR-Suite-cc', 'wpsuite_cc_block_cookie' );
						register_setting( 'GDPR-Suite-cc', 'wpsuite_cc_expire_time' );
						register_setting( 'GDPR-Suite-cc', 'wpsuite_cc_text_color' );
						register_setting( 'GDPR-Suite-cc', 'wpsuite_cc_back_color' );
						register_setting( 'GDPR-Suite-cc', 'wpsuite_cc_position' );
						register_setting( 'GDPR-Suite-cc', 'wpsuite_cc_dist_border' );
						register_setting( 'GDPR-Suite-cc', 'wpsuite_cc_custom_style' );
						register_setting( 'GDPR-Suite-cc', 'wpsuite_cc_select_template' );

						register_setting( 'GDPR-Suite-cc', 'wpsuite_cc_popup_title' );
						register_setting( 'GDPR-Suite-cc', 'wpsuite_cc_popup_sub_title' );
						register_setting( 'GDPR-Suite-cc', 'wpsuite_cc_select_popup_source');
						register_setting( 'GDPR-Suite-cc', 'wpsuite_cc_popup_content');
						register_setting( 'GDPR-Suite-cc', 'wpsuite_cc_select_template_text' );
						register_setting( 'GDPR-Suite-cc', 'wpsuite_cc_select_template_link' );
					    register_setting( 'GDPR-Suite-cc', 'wpsuite_cc_select_template_bar' );
					    register_setting( 'GDPR-Suite-cc', 'wpsuite_cc_popup_bar_position' );

					    register_setting( 'GDPR-Suite-cc', 'wpsuite_cc_select_template_floating' );
					    register_setting( 'GDPR-Suite-cc', 'wpsuite_cc_select_template_popup' );
					    register_setting( 'GDPR-Suite-cc', 'wpsuite_cc_select_cookies_settings' );
                        register_setting( 'GDPR-Suite-cc', 'wpsuite_cc_select_moreinfo_settings' );
						register_setting( 'GDPR-Suite-cc', 'wpsuite_cc_popup_link1_text' );
						register_setting( 'GDPR-Suite-cc', 'wpsuite_cc_popup_link2_text' );
						register_setting( 'GDPR-Suite-cc', 'wpsuite_cc_popup_link1_target_url' );
						register_setting( 'GDPR-Suite-cc', 'wpsuite_cc_popup_link2_target_url' );
						register_setting( 'GDPR-Suite-cc', 'wpsuite_cc_popup_content_font_size' );
						register_setting( 'GDPR-Suite-cc', 'wpsuite_cc_popup_content_font_family' );
						register_setting( 'GDPR-Suite-cc', 'wpsuite_cc_popup_title_font_family' );
						register_setting( 'GDPR-Suite-cc', 'wpsuite_cc_popup_title_font_size' );
						register_setting( 'GDPR-Suite-cc', 'wpsuite_cc_popup_autoresponder_button_label');
						register_setting( 'GDPR-Suite-cc', 'wpsuite_cc_select_template_createown');
						register_setting( 'GDPR-Suite-cc', 'wpsuite_cc_block_selected_user_consents');
						register_setting( 'GDPR-Suite-cc', 'wpsuite_cc_popup_custom_css');
						register_setting( 'GDPR-Suite-cc', 'wpsuite_cc_select_countries');
						register_setting( 'GDPR-Suite-cc', 'wpsuite_cc_popup_cookie_settings_text');

						//advance cookies
                        register_setting( 'GDPR-Suite-adv', 'gdpr_advance_bg_color');
                        register_setting( 'GDPR-Suite-adv', 'gdpr_advance_text_color');
                        register_setting( 'GDPR-Suite-adv', 'gdpr_advance_headings_color');
                        register_setting( 'GDPR-Suite-adv', 'gdpr_advance_text_font');
                        register_setting( 'GDPR-Suite-adv', 'gdpr_advance_heading_font');
                        register_setting( 'GDPR-Suite-adv', 'gdpr_advance_heading_font_size');
                        register_setting( 'GDPR-Suite-adv', 'gdpr_advance_content_font_size');
                        register_setting( 'GDPR-Suite-adv', 'gdpr_advance_points_font_size');
                        register_setting( 'GDPR-Suite-adv', 'gdpr_advance_heading');
                        register_setting( 'GDPR-Suite-adv', 'gdpr_advance_content');
					    register_setting( 'GDPR-Suite-adv', 'gdpr_advance_necessary_title');
					    register_setting( 'GDPR-Suite-adv', 'gdpr_advance_necessary_descp');
                        register_setting( 'GDPR-Suite-adv', 'gdpr_advance_necessary_todo');
                        register_setting( 'GDPR-Suite-adv', 'gdpr_advance_necessary_not');
                        register_setting( 'GDPR-Suite-adv', 'gdpr_advance_analytics_descp');
                        register_setting( 'GDPR-Suite-adv', 'gdpr_advance_analytics_title');
                        register_setting( 'GDPR-Suite-adv', 'gdpr_advance_analytics_todo');
                        register_setting( 'GDPR-Suite-adv', 'gdpr_advance_analytics_not');
                        register_setting( 'GDPR-Suite-adv', 'gdpr_advance_addvertisement_descp');
                        register_setting( 'GDPR-Suite-adv', 'gdpr_advance_addvertisement_title');
                        register_setting( 'GDPR-Suite-adv', 'gdpr_advance_addvertisement_todo');
                        register_setting( 'GDPR-Suite-adv', 'gdpr_advance_addvertisement_not');
                        register_setting( 'GDPR-Suite-adv', 'gdpr_advance_main_btn_txt');
                        register_setting( 'GDPR-Suite-adv', 'gdpr_advance_main_btn_font');
                        register_setting( 'GDPR-Suite-adv', 'gdpr_advance_main_btn_font_size');
                        register_setting( 'GDPR-Suite-adv', 'gdpr_advance_main_btn_bg_color');
                        register_setting( 'GDPR-Suite-adv', 'gdpr_advance_main_btn_txt_color');
                        register_setting( 'GDPR-Suite-adv', 'gdpr_advance_save_bg');
                        register_setting( 'GDPR-Suite-adv', 'gdpr_advance_save_color');
                        register_setting( 'GDPR-Suite-adv', 'gdpr_advance_save_font_size');
                        register_setting( 'GDPR-Suite-adv', 'gdpr_advance_save_btn');
                        register_setting( 'GDPR-Suite-adv', 'gdpr_advance_block');
                        register_setting( 'GDPR-Suite-adv', 'gdpr_advance_whatitdo');
                        register_setting( 'GDPR-Suite-adv', 'gdpr_advance_whatitdont');

                            //thirdparty Integration Contact form 7
                        register_setting( 'GDPR-Suite-thirdparty', 'gdprsuite_cf7_enable');
					    register_setting( 'GDPR-Suite-thirdparty', 'gdprsuite_cf7_checkbox_label');
                        register_setting( 'GDPR-Suite-thirdparty', 'gdprsuite_cf7_privacy_policy_link_text');
                        register_setting( 'GDPR-Suite-thirdparty', 'gdprsuite_cf7_privacy_policy_url');

					//thirdparty Integration Contact form 7
					register_setting( 'GDPR-Suite-thirdparty', 'gdprsuite_wcomments_enable');
					register_setting( 'GDPR-Suite-thirdparty', 'gdprsuite_wcomments_checkbox_label');
					register_setting( 'GDPR-Suite-thirdparty', 'gdprsuite_wcomments_privacy_policy_link_text');
					register_setting( 'GDPR-Suite-thirdparty', 'gdprsuite_wcomments_privacy_policy_url');

					//thirdparty Integration Woocommerce
                        register_setting( 'GDPR-Suite-thirdparty', 'gdprsuite_woocommerce_enable');
					    register_setting( 'GDPR-Suite-thirdparty', 'gdprsuite_woocommerce_checkbox_label');
                        register_setting( 'GDPR-Suite-thirdparty', 'gdprsuite_woocommerce_privacy_policy_link_text');
					    register_setting( 'GDPR-Suite-thirdparty', 'gdprsuite_woocommerce_privacy_policy_url');
                        register_setting( 'GDPR-Suite-thirdparty', 'gdprsuite_woocommerce_required_text');

                        //thirdparty Integration mailster
                        register_setting( 'GDPR-Suite-thirdparty', 'gdprsuite_mailster_enable');
                        register_setting( 'GDPR-Suite-thirdparty', 'gdprsuite_mailster_checkbox_label');
                        register_setting( 'GDPR-Suite-thirdparty', 'gdprsuite_mailster_privacy_policy_link_text');
                        register_setting( 'GDPR-Suite-thirdparty', 'gdprsuite_mailster_privacy_policy_url');

                        //thirdparty Integration gform
                        register_setting( 'GDPR-Suite-thirdparty', 'gdprsuite_gform_enable');
                        register_setting( 'GDPR-Suite-thirdparty', 'gdprsuite_gform_checkbox_label');
                        register_setting( 'GDPR-Suite-thirdparty', 'gdprsuite_gform_privacy_policy_link_text');
                        register_setting( 'GDPR-Suite-thirdparty', 'gdprsuite_gform_privacy_policy_url');

                        //thirdparty Integration formidable
                        register_setting( 'GDPR-Suite-thirdparty', 'gdprsuite_formidable_enable');
                        register_setting( 'GDPR-Suite-thirdparty', 'gdprsuite_formidable_checkbox_label');
                        register_setting( 'GDPR-Suite-thirdparty', 'gdprsuite_formidable_privacy_policy_link_text');
                        register_setting( 'GDPR-Suite-thirdparty', 'gdprsuite_formidable_privacy_policy_url');


					//GDPR SUITE AUTORESPONDER
						register_setting( 'GDPR-Suite-auto', 'wpsuite_auto_select_responder');
						register_setting( 'GDPR-Suite-auto', 'wpsuite_auto_select_responder_mailchimp_api_key');
						register_setting( 'GDPR-Suite-auto', 'wpsuite_auto_select_responder_mailchimp_list_id');
						register_setting( 'GDPR-Suite-auto', 'wpsuite_auto_select_responder_mailchimp_server_name');
						register_setting( 'GDPR-Suite-auto', 'wpsuite_auto_select_responder_getresponse_api_key');
						register_setting( 'GDPR-Suite-auto', 'wpsuite_auto_select_responder_getresponse_campaign_id');
						register_setting( 'GDPR-Suite-auto', 'wpsuite_auto_select_responder_aweber_list_id');
						register_setting( 'GDPR-Suite-auto', 'wpsuite_auto_select_responder_sendlane_api_key');
						register_setting( 'GDPR-Suite-auto', 'wpsuite_auto_select_responder_sendlane_hash_key');
						register_setting( 'GDPR-Suite-auto', 'wpsuite_auto_select_responder_sendlane_list_id');
						register_setting( 'GDPR-Suite-auto', 'wpsuite_auto_select_responder_sendlane_account_url');
						register_setting( 'GDPR-Suite-auto', 'wpsuite_auto_select_responder_createautoresponder');
					    register_setting( 'GDPR-Suite-auto', 'wpsuite_auto_select_responder_activecampaign_apiurl');
					    register_setting( 'GDPR-Suite-auto', 'wpsuite_auto_select_responder_activecampaign_apikey');
					    register_setting( 'GDPR-Suite-auto', 'wpsuite_auto_select_responder_activecampaign_listid');
					    register_setting( 'GDPR-Suite-auto', 'wpsuite_auto_select_responder_constantcontact_apikey');
					    register_setting( 'GDPR-Suite-auto', 'wpsuite_auto_select_responder_constantcontact_accesstoken');
					    register_setting( 'GDPR-Suite-auto', 'wpsuite_auto_select_responder_constantcontact_listid');
					    register_setting( 'GDPR-Suite-auto', 'wpsuite_auto_select_responder_icontact_appid');
					    register_setting( 'GDPR-Suite-auto', 'wpsuite_auto_select_responder_icontact_username');
					    register_setting( 'GDPR-Suite-auto', 'wpsuite_auto_select_responder_icontact_pass');
					    register_setting( 'GDPR-Suite-auto', 'wpsuite_auto_select_responder_icontact_listid');


						//terms and policy
						register_setting( 'GDPR-Suite-terms', 'wpsuite_logusers_redirect' );
						register_setting( 'GDPR-Suite-terms', 'wpsuite_guestusers_redirect' );
						register_setting( 'GDPR-Suite-terms', 'wpsuite_exiting_terms' );
						register_setting( 'GDPR-Suite-terms', 'wpsuite_terms_redirect' );
						register_setting( 'GDPR-Suite-terms', 'wpsuite_terms_expire_time' );
						register_setting( 'GDPR-Suite-terms', 'gdprsuite_terms_button_text' );
						register_setting( 'GDPR-Suite-policy', 'gdprsuite_policy_logusers_redirect' );
						register_setting( 'GDPR-Suite-policy', 'gdprsuite_policy_guestusers_redirect' );
						register_setting( 'GDPR-Suite-policy', 'gdprsuite_exiting_policy' );
						register_setting( 'GDPR-Suite-policy', 'gdprsuite_policy_redirect' );
						register_setting( 'GDPR-Suite-policy', 'gdprsuite_policy_expire_time' );
						register_setting( 'GDPR-Suite-policy', 'gdprsuite_policy_button_text' );

						//forgot back
						register_setting( 'GDPR-Suite-data_forgotback', 'wpsuite_forgotback_subject' );
						register_setting( 'GDPR-Suite-data_forgotback', 'wpsuite_forgotback_message' );
						register_setting( 'GDPR-Suite-data_forgotback', 'wpsuite_forgotback_admin_email' );
						register_setting( 'GDPR-Suite-data_forgotback', 'email_notification_forgetback' );
						register_setting( 'GDPR-Suite-data_forgotback', 'wpsuite_right_to_forget_introduction_text' );
						register_setting( 'GDPR-Suite-data_forgotback', 'gdprsuite_right2forget_checkbox' );
						register_setting( 'GDPR-Suite-data_forgotback', 'gdprsuite_right2forget_checkbox_label' );
						register_setting( 'GDPR-Suite-data_forgotback', 'gdprsuite_right2forget_privacy_policy_link_text' );
						register_setting( 'GDPR-Suite-data_forgotback', 'gdprsuite_right2forget_privacy_policy_url' );



						//portability
						register_setting( 'GDPR-Suite-data_portability', 'wpsuite_portability_subject' );
						register_setting( 'GDPR-Suite-data_portability', 'wpsuite_portability_message' );
						register_setting( 'GDPR-Suite-data_portability', 'wpsuite_portability_admin_email' );
						register_setting( 'GDPR-Suite-data_portability', 'email_notification_portability_admin' );
						register_setting( 'GDPR-Suite-data_portability', 'email_notification_portability_user' );
						register_setting( 'GDPR-Suite-data_portability', 'wpsuite_portability_introduction_text' );

						//breach
						register_setting( 'GDPR-Suite-data_breach', 'wpsuite_data_breach_admin_mail' );
						register_setting( 'GDPR-Suite-data_breach', 'wpsuite_data_breach_subject' );
						register_setting( 'GDPR-Suite-data_breach', 'wpsuite_data_breach_message' );
						register_setting( 'GDPR-Suite-data_breach', 'wpsuite_data_breach_wcommerce' );
						register_setting( 'GDPR-Suite-data_breach', 'wpsuite_data_breach_wpuser' );

						//rectification
						register_setting( 'GDPR-Suite-data_rectification', 'wpsuite_data_rectification_subject' );
						register_setting( 'GDPR-Suite-data_rectification', 'wpsuite_data_rectification_message' );
						register_setting( 'GDPR-Suite-data_rectification', 'wpsuite_data_rectification_admin_mail' );
						register_setting( 'GDPR-Suite-data_rectification', 'email_notification_rectification' );
						register_setting( 'GDPR-Suite-data_rectification', 'wpsuite_rectification_introduction_text' );


						//button design
					register_setting( 'GDPR-Suite-btn', 'wpsuite_cc_btn_text_color' );
					register_setting( 'GDPR-Suite-btn', 'wpsuite_cc_btn_bg_color' );
					register_setting( 'GDPR-Suite-btn', 'wpsuite_cc_btn_font_family' );
					register_setting( 'GDPR-Suite-btn', 'wpsuite_cc_btn_font_size' );
					register_setting( 'GDPR-Suite-btn', 'wpsuite_cc_btn_width' );
					register_setting( 'GDPR-Suite-btn', 'wpsuite_cc_btn_height' );




			});


	function wpsuite_plugin_database_forget() 
	{
			global $wpdb;

			$table_name = $wpdb->prefix . 'gdprsuite_forget';
	
			$charset_collate = $wpdb->get_charset_collate();

			$sql = "CREATE TABLE $table_name 
				(
					id mediumint(20) NOT NULL AUTO_INCREMENT,
					email varchar(250) NOT NULL, 
					service varchar(255), 
					date text ,
					PRIMARY KEY  (id)
				) 	$charset_collate;";

			require_once( ABSPATH . 'wp-admin/includes/upgrade.php' );
			dbDelta( $sql );

			if (!get_option('wpsuite_right_to_forget_introduction_text')) {
				
				update_option('wpsuite_right_to_forget_introduction_text','Below you can select the services which collect your personal data on this website. Check the ones you wish to be deleted. This will send a request to website admin.');
			}
			if (!get_option('wpsuite_forgotback_subject')) {
				
				update_option('wpsuite_forgotback_subject','We have deleted your data');
			}
			

	}
	function wpsuite_plugin_database_portability() 
			{
			global $wpdb;

			$portability_table_name = $wpdb->prefix . 'gdprsuite_portability';
			
			$portability_charset_collate = $wpdb->get_charset_collate();

			$sql = "CREATE TABLE $portability_table_name 
				(
					id mediumint(20) NOT NULL AUTO_INCREMENT,
					email varchar(250) NOT NULL, 
					date text ,
					PRIMARY KEY  (id)
				) 	$portability_charset_collate;";

				require_once( ABSPATH . 'wp-admin/includes/upgrade.php' );
				dbDelta( $sql );

			if (!get_option('wpsuite_portability_subject')) {
				
				update_option('wpsuite_portability_subject','Here is your requested data');
			}


			if (!get_option('wpsuite_portability_introduction_text')) {
				
				update_option('wpsuite_portability_introduction_text','Below you can request a copy of the information that you hold about me.  This will send a request to website admin.');
			}

			if (!get_option('wpsuite_cc_select_popup_source')) {
				
				update_option('wpsuite_cc_select_popup_source','text');
			}
			if (!get_option('wpsuite_cc_select_template_text')) {
				
				update_option('wpsuite_cc_select_template_text','shiraz');
			}

			
			if (!get_option('wpsuite_cc_popup_content')) {
				
				update_option('wpsuite_cc_popup_content','Like most websites GDPR Suite uses cookies. In order to deliver a personalized, responsive service and to improve the site, we remember and store information about how you use it. This is done using simple text files called cookies which sit on your computer.');
			}
			if (!get_option('wpsuite_cc_popup_title')) {
				
				update_option('wpsuite_cc_popup_title','GDPR Suite');
			}
			if (!get_option('wpsuite_cc_popup_link1_text')) {
				
				update_option('wpsuite_cc_popup_link1_text','Got it');
			}
			if (!get_option('wpsuite_cc_popup_link2_text')) {
				
				update_option('wpsuite_cc_popup_link2_text','More info');
			}
			if (!get_option('wpsuite_cc_popup_autoresponder_button_label')) {
				
				update_option('wpsuite_cc_popup_autoresponder_button_label','Got it');
			}

			if (!get_option('gdprsuite_policy_button_text')) {
				
				update_option('gdprsuite_policy_button_text','Accept');
			}

			if (!get_option('gdprsuite_terms_button_text')) {
				
				update_option('gdprsuite_terms_button_text','Accept');
			}

			if ( get_page_by_title('New Privacy Policy') == NULL ) {

				$page_content = '';
    			$page_content = file_get_contents(dirname(__FILE__)."/includes/data/privacy_policy.html");

	    		$my_post = array(
	      				'post_title'    => 'New Privacy Policy',
	      				'post_content'  => $page_content,
	      				'post_status'   => 'publish',
	      				'post_author'   => get_current_user_id(),
	      				'post_type'     => 'page',
    			);

    			// Insert the post into the database
    			wp_insert_post( $my_post, '' );
			} 
			if ( get_page_by_title('New Terms and Conditions') == NULL ) {

				$page_content = '';
    			$page_content = file_get_contents(dirname(__FILE__)."/includes/data/terms.html");


	    		$my_post = array(
	      				'post_title'    => 'New Terms and Conditions',
	      				'post_content'  => $page_content,
	      				'post_status'   => 'publish',
	      				'post_author'   => get_current_user_id(),
	      				'post_type'     => 'page',
    			);

    			// Insert the post into the database
    			wp_insert_post( $my_post, '' );
			}
				if ( get_page_by_title('Cookie Policy') == NULL ) {

					$page_content = '';
					$page_content = file_get_contents(dirname(__FILE__)."/includes/data/cookie_policy.html");

					$my_post = array(
						'post_title'    => 'Cookie Policy',
						'post_content'  => $page_content,
						'post_status'   => 'publish',
						'post_author'   => get_current_user_id(),
						'post_type'     => 'page',
					);

					// Insert the post into the database
					wp_insert_post( $my_post, '' );
				}





			}
	function wpsuite_plugin_database_rectification() 
	{
		global $wpdb;

		$rectification_table_name = $wpdb->prefix . 'gdprsuite_rectification';
	
		$rectification_charset_collate = $wpdb->get_charset_collate();

		$sql = "CREATE TABLE $rectification_table_name 
			(
				id mediumint(20) NOT NULL AUTO_INCREMENT,
				email varchar(250) NOT NULL,
				currdata varchar(1000) NOT NULL,
				rectifydata varchar(1000) NOT NULL,
				date text ,
				PRIMARY KEY  (id)
			) 		$rectification_charset_collate;";

		require_once( ABSPATH . 'wp-admin/includes/upgrade.php' );
		dbDelta( $sql );
		if (!get_option('wpsuite_rectification_introduction_text')) {
				
				update_option('wpsuite_rectification_introduction_text','Below you can send a request for website admin to rectify your data. Enter what you would like to be rectified. You will be notified by e-mail once this is done.');
			}
			if (!get_option('wpsuite_data_rectification_subject')) {
				
				update_option('wpsuite_data_rectification_subject','Your Data have been rectified');
			}

	}
	function wpsuite_plugin_database_cookie_log() 
	{
		global $wpdb;

		$cookie_log_table_name = $wpdb->prefix . 'cookie_log';
	
		$cookie_log_charset_collate = $wpdb->get_charset_collate();

		$sql = "CREATE TABLE $cookie_log_table_name 
			(
				id mediumint(20) NOT NULL AUTO_INCREMENT,
				ip_address varchar(450) NOT NULL,
				date text ,
				last_edited timestamp ,
				details varchar(5000),
				PRIMARY KEY  (id)
			) 		$cookie_log_charset_collate;";

		require_once( ABSPATH . 'wp-admin/includes/upgrade.php' );
		dbDelta( $sql );
	}
	function wpsuite_plugin_database_cookie_settings(){
		update_option('gdpr_advance_heading','Advance Cookie Privacy Options');
		update_option('gdpr_advance_main_btn_txt','Manage Cookie');
		update_option('gdpr_advance_content','Some of these cookies are essential, while others help us to improve your experience by providing insights into how the site is being used.For more detailed information on the cookies we use, please check our <span style="text-decoration: underline; color: #ffff00;"><a style="color: #ffff00; text-decoration: underline;" href="https://google.com">Privacy Policy</a></span>');
		update_option('gdpr_advance_block','Block All Cookie');
		update_option('gdpr_advance_whatitdo','Our Website Will');
		update_option('gdpr_advance_whatitdont','Our Website Won\'t');
		update_option('gdpr_advance_necessary_title','Necessary Cookie');
		update_option('gdpr_advance_necessary_descp','These tools provide necessary services and functionality, including identity verification and site security, and OPT-OUT is not advisable.');
		update_option('gdpr_advance_necessary_todo','Necessary: Track your cookie consent settings, Necessary: Stores information from contact forms and all pages, Necessary: Allow session cookies, Necessary: Track your shopping cart inputs and results, Necessary: Authenticate when your user account when accessed or in use, Necessary: Remember language version you selected');
		update_option('gdpr_advance_necessary_not','Remember your login details, Analytics/Marketing: The amount of time spent per page is tracked with actions taken, Analytics/Marketing: Increase the data quality of the statistics functions, Analytics/Tracking: Your location/region and IP address is tracked for better user experience, Analytics/Marketing: We also have pixels on all pages to enhance our conversion and reach.');
		update_option('gdpr_advance_analytics_title','Analytics & Marketing Cookie');
		update_option('gdpr_advance_analytics_descp','Analytical & Marketing cookies help us to improve our website by collecting and reporting information about how visitors use our sites, and are used to improve our products, services, and the user experience');
		update_option('gdpr_advance_analytics_todo','Analytics/Marketing: The amount of time spent per page is tracked with actions taken, Analytics/Marketing: Increase the data quality of the statistics functions, Analytics/Tracking: Your location/region and IP address is tracked for better user experience, Analytics/Marketing: We also have pixels on all pages to enhance our conversion and reach.');
		update_option('gdpr_advance_analytics_not','Remember your login details, Remember any of you personal information, Remember any of your encrypted details, Advertising: Remember social media settings, Advertising: Targeting and retargeting pixel gathering information based on your interests, Advertising: We collect personally information such as name - email address - date of birth- location etc, Advertising: Social sharing plugin/widget in use so we can correctly view how many times a page is shared');
		update_option('gdpr_advance_addvertisement_title','Advertisement Cookie');
		update_option('gdpr_advance_addvertisement_descp','These tools measure the effect of our advertising, track visit details, and generate information we use to make our ads more relevant to you');
		update_option('gdpr_advance_addvertisement_todo','Advertising: Remember social media settings, Advertising: Targeting and retargeting pixel gathering information based on your interests, Advertising: We collect personally information such as name - email address - date of birth- location etc, Advertising: Social sharing plugin/widget in use so we can correctly view how many times a page is shared');
		update_option('gdpr_advance_addvertisement_not','Remember your login details, Remember any of you personal information, Remember any of you encrypted details');
		
	}
		
	function gdprsuite_load_textdomain()
	{
		$locale = is_admin() && function_exists( 'get_user_locale' ) ? get_user_locale() : get_locale();
		$locale = apply_filters( 'gdpr_suite_locale', $locale );
		$lang_file = trailingslashit( WP_LANG_DIR ) . 'gdpr_suite'. "-$locale.mo";
		load_textdomain( 'gdpr_suite', $lang_file );
		load_plugin_textdomain( 'gdpr_suite', false, dirname( plugin_basename( __FILE__ ) ) . '/lang/' );
	}